MPlayer(1)

NAME
mplayer - Lecteur Vidéo pour Linux
mencoder - Encodeur Vidéo pour Linux

SYNOPSIS
mplayer [options] [ fichier | URL | playlist | - ]
mplayer
[options globales] fichier1 [options spécifiques] [fichier2] [options spécifiques]
mplayer
[options globales] {groupe de fichiers et d'options} [options spécifiques au groupe]
mplayer
[mms[t]|http|http_proxy|rt[s]p]:// [utilisateur:mdp@]URL[:port] [options]
mplayer
dvd://titre [options]
mplayer
vcd://piste[/périphérique] [options]
mplayer
tv://[canal] [options]
mplayer
mf://filemask [options]
mplayer
[cdda|cddb]://piste[:vitesse][/périphérique] [options]
mplayer
cue://fichier[:périphérique] [options]
mplayer
dvdnav://[périphérique] [options]
mplayer
sdp://fichier [options]
mplayer
mpst://hôte[:port]/URL [options]
mencoder [options] [ fichier | URL | - ] [-o fichier]
gmplayer [options] [-skin skin]

DESCRIPTION
mplayer est un lecteur vidéo pour LINUX (il fonctionne sur beaucoup d'autres Unices et processeurs non-x86, voir la documentation). Il joue la plupart des formats MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM et RoQ, supportés par plusieurs codecs natifs, par XAnim et par les codecs Win32. Vous pouvez regarder des VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 et même des films WMV (sans utiliser la bibliothèque avifile).

Un autre gros atout de MPlayer est la grande variété de pilotes de sortie supportés. Il fonctionne avec X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, Quartz, mais vous pouvez aussi utiliser GGI, SDL (et de cette façon tous leurs drivers), VESA (sur n'importe quelle carte compatible VESA, même sans X11), quelques drivers spécifiques à certaines cartes (pour Matrox, 3Dfx et ATI) et certaines carte de décompression MPEG, telles que les Siemens DVB, DXR2 et DXR3/Hollywood+. La plupart d'entre eux supportent le redimensionnement logiciel ou matériel, vous pouvez donc apprécier les films en plein écran.

MPlayer possède un affichage sur écran (OnScreenDisplay) pour les informations, de belles et grandes polices lissées et des effets visuels pour confirmer les contrôles au clavier. Les polices européennes/ISO 8859-1,2 (Hongroise, Anglaise, Tchèque, etc), Cyrillique et Coréenne sont supportées ainsi que 11 formats de sous-titres (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS et le nôtre: MPsub) et les sous-titres DVD (SPU streams, VobSub et Closed Captions).

mencoder (MPlayer's Movie Encoder) est un simple encodeur de vidéos, conçu pour encoder des vidéos jouables par MPlayer (voir ci-dessus) dans d'autres formats jouables par MPlayer (voir ci-dessous). Il encode en DivX4, XviD, un des codecs libavcodec, et en PCM/MP3/VBRMP3 audio en 1, 2 ou 3 passes. Il permet également de copier des flux de données (stream), possède un puissant système de plugins (découpage, expansion, retournement, postprocess, rotation, redimensionnement, bruit, conversion rgb/yuv) et bien plus.

gmplayer est l'interface graphique de MPlayer. Il possède les mêmes options que MPlayer.

NOTES GÉNÉRALES
Regardez également la documentation HTML !

Chaque option a son opposé, par ex. l'inverse de l'option -fs est -nofs.

Vous pouvez placer toutes les options dans un fichier de configuration qui sera lu à chaque exécution de MPlayer. Le fichier de configuration général 'mplayer.conf' se trouve dans le répertoire habituel des fichiers de configuration (par exemple. /etc/mplayer ou /usr/local/etc/mplayer), et le fichier de configuration spécifique à l'utilisateur se trouve dans '~/.mplayer/config'. Les options du fichier utilisateur ont priorité sur les options du fichier global, et les options données sur la ligne de commande ont priorité sur tous les fichiers. La syntaxe des fichiers de configuration est 'option=<valeur>', tout ce qui suit un '#' est considéré comme commentaire. Les options qui nécessitent des valeurs peuvent être activés en les initialisant à 'yes' ou '1' ou désactivés en les initialisant à 'no' ou '0'. Ceci est même applicable aux sous-options.

EXEMPLE:
# Utilise les pilotes Matrox par défaut.
vo=xmga
# J'adore faire le poirier en regardant les vidéos.
flip=yes
# Décode/encode des fichiers png,
# démarre avec mf://filemask
mf=type=png:fps=25
# Les images en eerie negative, c'est cool.
vf=eq2=1.0:-0.8

Vous pouvez également écrire des fichiers de config spécifiques à un fichier. Si vous souhaitez avoir un fichier de config pour un fichier nommé 'film.avi', créez un fichier nommé 'film.avi.conf' contenant les options spécifiques à ce fichier et placez-le dans ~/.mplayer ou dans le même répertoire que le fichier.

CONTROLE CLAVIER
NOTE:
MPlayer dispose d'une couche de contrôle pleinement configurable, qui vous permet de contrôler MPlayer avec le clavier, la souris, le joystick ou une télécommande (en utilisant LIRC).
Le fichier de configuration par défaut pour le système d'entrée est ~/.mplayer/input.conf mais cela peut être outrepassé en utilisant l'option -input conf.
Ces touches peuvent/ne peuvent pas fonctionner, suivant votre pilote de sortie vidéo.

contrôle général
    recule/avance de 10 secondes recule/avance d'1 minute recule/avance de 10 minutes recule/avance dans la liste de lecture va à la prochaine/précédente entrée dans la liste parente va à la prochaine/précédente source (liste de lecture asx uniquement) met le film en pause (n'importe quelle touche pour redémarrer) stoppe la lecture est quitte ajuste le décalage audio de +/- 0.1 seconde réduit/augmente le volume réduit/augmente le volume réduit/augmente l'intervalle panscan décodage (voir -framedrop et -hardframedrop) ajuste le décalage des sous-titres de +/- 0.1 seconde ajuste la position des sous-titres créé une marque EDL

(Les touches suivantes ne sont valides qu'en utilisant une sortie vidéo accélérée matériellement (xv, (x)vidix, (x)mga, etc) ou le filtre égualiseur logiciel (-vf eq ou -vf eq2).

ajuste le contraste ajuste la luminosité ajuste la couleur ajuste la saturation

Contrôle clavier de la GUI
    démarre la lecture stoppe la lecture charge un fichier navigateur de skins bascule la liste de lecture

Contrôle entrée TV
    sélectionne le précédent/prochain canal change de norme change la liste des canaux

OPTIONS DE LECTURE (MPLAYER UNIQUEMENT)

-autoq <qualité> (utiliser avec -vf [s]pp)
    Change dynamiquement le niveau de postprocessing en fonction de la charge processeur. Le nombre à indiquer est le niveau maximum utilisé. Normalement vous pouvez utiliser un nombre important. Vous devez indiquer -vf [s]pp sans paramètres pour l'utiliser.

-autosync <facteur>
    Ajuste graduellement la synchro A/V en fonction de la mesure du décalage audio. En spécifiant -autosync 0, valeur par défaut, la synchronisation des trames sera entièrement basée sur la mesure du décalage audio. En spécifiant -autosync 1 ce sera la même chose, mais cela changera légèrement l'algorithme de correction A/V utilisé. On peut souvent améliorer la lecture d'une vidéo possédant un taux de transfert irrégulier, mais qui peut-être lue avec -nosound, en initialisant cette option à une valeur entière supérieure à 1. Plus cette valeur sera élevée, plus le débit sera proche de -nosound. Essayez -autosync 30 pour faire disparaître les problèmes avec les drivers audio qui ne possèdent pas une mesure de décalage audio parfaite. Avec cette valeur, si de large écarts de synchro A/V se produisent, il ne mettront que une seconde ou deux pour disparaître. Ce temps de réaction devrait être le seul effet de bord si cette option est activé, pour tous les drivers audio.

-benchmark
    Affiche quelques statistiques sur l'utilisation CPU et les trames sautées à la fin. À utiliser avec -nosound et -vo null pour mesurer les performances du codec vidéo.
    NOTE: Avec cette option MPlayer ignorera également la durée des trames pendant la lecture de vidéo uniquement (vous pouvez le prendre comme des fps infinis).

-colorkey <nombre>
    Affecte une valeur RVB de votre choix à la couleur clé. 0x000000 est noir et 0xffffff est blanc. Supporté par les pilotes vidéo vidix, fbdev, svga, vesa, winvidix, xmga, xvidix et xover uniquement.

-nocolorkey
    Désactive la couleur clé. Supporté par les pilotes vidéo cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix et xover uniquement.

-edl <nomfichier>
    Active les actions d'édition de liste de décision (EDL) durant la lecture. La vidéo sera sautée et le son coupé et remis suivant les entrées du fichier indiqué. Voir DOCS/HTML/fr/edl.html pour les détails sur comment l'utiliser.

-edlout <nomfichier>
    Créé un nouveau fichier et écrit les enregistrements d'édition de la liste de décision (EDL) dans ce fichier. Durant la lecture, quand l'utilisateur tape 'i', une entrée à sauter après les deux dernières secondes de la lecture est écrite dans ce fichier. Cela fournit un point de départ depuis lequel l'utilisateur peut régler plus finement les entrées EDL plus tard. Voir DOCS/HTML/fr/edl.html pour les détails.

-enqueue (GUI uniquement)
    Ajoute les fichiers donnés en ligne de commande à la liste de lecture au lieu de les jouer immédiatement.

-fixed-vo (CODE BETA!)
    force un système de vidéo fixe pour des fichiers multiples (une (dès)initialisation pour pour tous les fichiers). Ainsi une seule fenêtre sera ouverte pour tous les fichiers. Actuellement les pilotes suivants fonctionnent avec fixed-vo: gl2, mga, svga, x11, xmga, xv et xvidix.

-framedrop (voir aussi -hardframedrop)
    Saute l'affichage de certaines trames pour maintenir la synchro A/V sur les systèmes lents. Les filtres vidéo ne sont pas appliqués sur de telles trames. Pour les trames B même leur décodage est complétement désactivé.

-h, -help, --help
    Affiche un court résumé des options.

-hardframedrop
    Saute les trames de façon plus brutale (casse le décodage). Mène à des distorsions d'image!

-identify
    Affiche les paramètres du fichier dans un format facilement analysable. Le script TOOLS/midentify supprime le reste de l'affichage et (espérons-le) formate les noms de fichiers pour le shell.

-input <commandes>
    Cette option peut être utilisée pour configurer certaines parties du système de contrôle. Les chemins sont relatifs à ~/.mplayer/.
    NOTE: La répétition automatique n'est pour l'instant supporté que par les joysticks. Les commandes disponibles sont: Lit le fichier input.conf précisé. Si aucun chemin n'est précisé, ~/.mplayer est utilisé. Temps en msec avant de démarrer la répétition automatique d'une touche (0 pour désactiver). Combien de frappes par seconde pendant la répétition automatique. Afficher toutes les clés pouvant être attachées. Afficher toutes les commandes pouvant être attachées. Spécifier le périphérique joystick à utiliser (/dev/input/js0 par défaut). Lit les commandes depuis un fichier donné. Utile surtout avec une communication fifo.
    NOTE: Quand le fichier indiqué est un fifo MPlayer ouvre chaque extrémité donc vous pouvez avoir plusieurs 'echo "seek 10" > mp_pipe' et le pipe restera valide.

-lircconf <fichier>
    Indique un fichier de configuration pour LIRC (Linux Infrared Remote Control, voir http://www.lirc.org) si vous n'aimez pas le ~/.lircrc par défaut.

-list-options
    Affiche toutes les options disponibles.

-loop <nombre>
    Répète la lecture <nombre> fois. 0 signifie illimité.

-menu (CODE BETA)
    Active le menu OSD.

-menu-cfg <fichier> (CODE BETA)
    Utilise le menu.conf indiqué.

-menu-root <valeur> (CODE BETA)
    Spécifie le menu principal.

-nojoystick
    Désactive le support joystick. Activé par défaut, si il a été compilé pour.

-nolirc
    Désactive le support de LIRC.

-nomouseinput
    Désactive l'entrée des boutons de la souris (le menu contextuel de mozplayerxp dépends de cette option).

-nortc
    Désactive l'utilisation du RTC Linux (real-time clock - /dev/rtc) comme mécanisme de synchro.

-playlist <fichier>
    Lit les fichiers en fonction d'une playlist (1 fichier par ligne, ou aux formats Winamp ou ASX).
    NOTE: Cette option est considérée comme une entrée donc les options trouvées à la suite s'appliqueront uniquement aux éléments de la liste de lecture.

-quiet
    Avec cette option, la ligne d'état (c-a-d A: 0.7 V: 0.6 A-V: 0.068 ...) ne sera pas affichée. Cela est particulièrement utile sur les terminaux lents ou endommagés qui ne gèrent pas les retours chariot (c-a-d \r).

-really-quiet
    Affiche encore moins de messages.

-shuffle
    Joue les fichiers en ordre aléatoire.

-skin <répertoire des skin>
    Charge les skins depuis le répertoire spécifié (SANS chemin). EXEMPLE: essaie /usr/local/share/mplayer/ en premier, puis ~/.mplayer/ en cas d'échec.

-slave  Cette option enclenche le mode esclave.
    Ceci est prévu pour l'utilisation de MPlayer en tant que base (backend) pour d'autres programmes. Au lieu d'intercepter les évènements clavier, MPlayer va lire des commandes simples via son entrée stdin. La section PROTOCOLE DU MODE ESCLAVE explique la syntaxe.

-softsleep
    Utilise des timers logiciels de haute qualité. Aussi précis que le RTC sans nécessiter de privilèges spéciaux, au prix toutefois d'une consommation CPU plus importante.

-speed <0.01-100>
    Règle la vitesse de lecture.

-sstep <sec>
    Spécifie le nombre de secondes entre chaque trame. Utile pour les diaporamas.

-, -use-stdin
    L'entrée standard (alias stdin) sera utilisée pour lire les données au lieu des évenements-clé. Si vous ouvrez /dev/stdin (ou l'équivalent sur votre système), utilisez stdin dans une liste de lecture ou essaiez de lire depuis stdin ensuite via les commandes openfile ou openlist vous aurez besoin de cette option.

OPTIONS DEMUXER/FLUX

-aid <id> (voir aussi l'option -alang)
    Sélectionne le canal audio [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190]. MPlayer affiche les IDs disponibles quand il tourne en mode verbeux (-v). Pour jouer des flux MPEG-TS, MPlayer/MEncoder utilisera le premier programme (si présent) avec le flux audio choisi.

-alang <code de pays à deux lettres> (voir aussi l'option -aid)
    Fonctionne uniquement pour la lecture de DVD. Cela sélectionne la piste audio et tente toujours de lire les flux audio dont la langue correspond au code donné. Pour afficher la liste des langues disponibles, utilisez l'option -v et regardez le résultat. EXEMPLE: Sélectionne le hongrois et se rabat sur l'anglais si le hongrois n'est pas disponible.

-audio-demuxer <nombre> (-audiofile uniquement)
    Force le type de demuxer audio pour -audiofile. Indiquez l'ID demuxer comme défini dans demuxers.h. Utilisez -audio-demuxer 17 pour forcer la détection des .mp3.

-audiofile <nomfichier>
    Joue l'audio depuis un fichier externe (WAV, MP3 ou Ogg Vorbis) pendant la visualisation d'un film.

-audiofile-cache <Koctets>
    Active la mise en cache pour le flux utilisé par -audiofile, en utilisant la quantité demandée de mémoire.

-bandwidth <valeur>
    Spécifie la bande passante maximum pour le streaming par le réseau (pour les serveurs capable d'envoyer du contenu à différents débits). Utile si vous voulez voir en direct des média streamés avec un connexion lente.

-cdrom-device <chemin périphérique>
    Outrepasse le nom par défaut du lecteur de CDROM /dev/cdrom.

-cache <Koctets>
    Cette option indique combien de mémoire (en Ko) à utiliser mettant un fichier en cache/URL. Particulièrement utile sur des média lents (le comportement par défaut est -nocache).

-cdda <option1:option2>
    Cette option est utilisé pour régler les capacités de lecture de CD Audio de MPlayer. Les options disponibles sont: Règle la vitesse de lecture du CD Règle le niveau de paranoia 0: désactive la détection
    1: détection des chevauchements uniquement (comportement par défaut)
    2: correction et vérification des données complètes utiliser le périphérique SCSI générique spécifié taille de lecture atomique force la recherche minimum de chevauchements pendant vérification à <valeur> secteurs. Considère que l'offset de début de la piste 1 comme reportée dans la TOC sera adressée en tant que LBA 0. Certains lecteurs Toshiba ont besoin de cela pour garder des transitions de pistes correctes. Ajoutez <valeur> secteurs aux valeurs renvoyés pendant l'adressage des pistes. Peut être négatif. (jamais) accepter les reconstructions imparfaites de données.

-channels <nombre>
    Indique le nombre de canaux audio à utiliser, '2' par défaut si non spécifié. Si le nombre de canaux de sortie est plus grand que celui des canaux d'entrée des canaux vides sont insérés (à moins de mixer de mono vers stéréo, dans ce cas le canal mono est répété sur les deux canaux de sortie). Si le nombre de canaux de sortie est plus petit que celui des canaux d'entrée, les résultats dépendront du décodeur audio (-afm). MPlayer demande au décodeur de décoder l'audio dans le nombre requis de canaux. Maintenant c'est au décodeur de satisfaire cette demande. Si le décodeur sort sur plus de canaux que demandé, les canaux en plus seront tronqués. C'est généralement seulement important en jouant des vidéos avec de l'audio AC3 (comme les DVDs). Dans ce cas liba52 fait le décodage par défaut et downmixe correctement l'audio dans le nombre requis de canaux.
    NOTE: Cette option est utilisé par les codecs (ac3 uniquement) filtres (surround) et drivers ao (OSS au moins). Les options disponibles sont: Stereo Surround Plein 5.1

-chapter <id chapitre>[-<id fin chapitre>]
    Indique à quel chapitre commencer la lecture. Vous pouvez également indiquer à quel chapitre arrêter la lecture (par défaut: 1). Des exemples sont disponibles plus bas.

-cookies
    Envoie des cookies lors des requêtes HTTP.

-cookies-file <fichier>
    Lis les cookies HTTP depuis ce fichier. Ce fichier est supposé être au format Netscape. Si vous utilisez cette option, MPlayer ne cherchera pas de cookies dans ~/.netscape/ et ~/.mozilla/.

-demuxer <nombre>
    Forcer le type de demuxer. Indiquez l'ID demuxer comme défini dans demuxers.h. Utilisez -demuxer 17 pour forcer la détection des .mp3.

-dumpaudio (MPLAYER uniquement)
    Décharge le flux audio brut dans ./stream.dump (utile avec mpeg/ac3).

-dumpfile <nomfichier> (MPLAYER uniquement)
    Indique dans quel fichier MPlayer doit décharger. Devrait être utilisé avec -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPLAYER uniquement)
    Décharge le flux brut dans /stream.dump. Utile en rippant depuis un DVD ou depuis le réseau.

-dumpvideo (MPLAYER uniquement)
    Décharge le flux vidéo brut dans /stream.dump (pas très utilisable).

-dvbin <options>
    Passe les paramètres suivant au module d'entrée DVB, de façon à outrepasser ceux par défaut: Spécifie le numéro de carte à utiliser (par défaut: 1). Dit à MPlayer de lire les canaux depuis <fichier>. Spécifie quel type de carte: SATellite, TERrestre ou CaBLe. Si non spécifié le type sera détecté automatiquement.

-dvd-device <chemin périphérique>
    Outrepasse le nom de périphérique DVD par défaut /dev/dvd.

-dvdangle <id angle>
    Certains DVD contiennent des scènes qui peuvent être vues sous différents angles. Ici vous pouvez dire à MPlayer quels angles utiliser (par défaut: 1). Des exemples sont disponibles plus bas.

-forceidx
    Forcer la reconstruction de l'INDEX. Utile pour les fichiers possédant un index cassé (désynchro, etc). La recherche sera possible. Vous pouvez réparer l'index de façon permanente avec MEncoder (voir la documentation).
    NOTES: Vous ne pouvez utiliser cette option que si le media en question supporte les déplacements (c-a-d pas depuis stdin, un pipe, etc).

-fps <valeur>
    Forcer le débit vidéo (si la valeur est mauvaise/absente de l'entête) (nombre à virgule).

-frames <nombre>
    Joue/convertit uniquement les <nombre> premières trames, puis sort.

-hr-mp3-seek (MP3 uniquement)
    Placement mp3 haute résolution. Par défaut, activé quand un fichier MP3 externe est lu, car nous devons nous placer à la très exacte position pour garder la synchro A/V. Cela peut être lent surtout en allant en arrière - il doit revenir au début pour trouver la trame exacte.

-idx (voir aussi -forceidx)
    Reconstruit l'INDEX du fichier AVI si aucun INDEX n'a été trouvé, permet ainsi de ce déplacer. Utile avec les téléchargements cassés/incomplets, ou les AVIs de mauvaise qualité.
    NOTES: Vous ne pouvez utiliser cette option que si le media en question supporte les déplacements (c-a-d pas depuis stdin, un pipe, etc).

-ipv4-only-proxy
    Saute le proxy pour les adresses IPv6. Il sera toujours utilisé pour les connections IPv4.

-loadidx <nomfichier>
    Le nom du fichier à partir duquel lire les données d'INDEX, tel que sauvées par -saveidx. MPlayer lira l'index depuis le fichier et utilisera ces données pour le déplacement. Ces données seront utilisées à la place des éventuelles données d'index présentes dans l'AVI lui-même. De plus, MPlayer ne vous préviendra pas du chargement d'un fichier d'index généré pour un AVI différent, mais cela vous causera sûrement des torts. NOTE: Cette option sera obsolète dès que AVI aura le support ODML !

-mc <secondes/trame>
    Correction de synchro A-V maximum par trame (en secondes).

-mf <option1:option2:...>
    Utilisé pour décodage de multiples fichiers PNG ou JPEG. Les options disponibles sont: largeur de la sortie (autodétection) hauteur de la sortie (autodétection) fps de la sortie (défaut: 25) type des fichiers d'entrée (types disponibles: jpeg, png, tga, sgi)

-ni (AVI uniquement)
    Forcer l'utilisation du filtre AVI non entrelacé (permet de lire certains mauvais fichiers AVI).

-nobps (AVI uniquement)
    Ne pas utiliser la valeur octet/sec moyenne pour la synchro A-V (AVI). Aide pour certains fichiers AVI avec une entête cassée.

-noextbased
    Désactive la sélection de demuxer basée sur l'extension du fichier. Par défaut, quand le type de fichier (demuxer) ne peut être détecté de façon fiable (le fichier n'a pas d'entête ou n'est pas suffisamment fiable), l'extension du fichier est utilisée pour sélectionner le demuxer. Il se rabat toujours sur une sélection de demuxer basée sur le contenu.

-passwd <mot de passe> (voir également l'option -user)
    Indique le mot de passe pour l'identification http.

-prefer-ipv4
    Utilise IPv4 pour les connections réseau. Se rabat sur IPv6 automatiquement.

-prefer-ipv6
    Utilise IPv4 pour les connections réseau. Se rabat sur IPv4 automatiquement.

-rawaudio <option1:option2:...>
    Cette option vous permet de lire des fichiers audio bruts. Il peut aussi être utilisé pour lire des CD audio qui ne sont pas 44KHz 16Bit stéréo. Les options disponibles sont: utilise le demuxer audio brut nombre de canaux taux d'échantillonage par seconde taille des échantillons en octets fourcc en hexa

-rawvideo <option1:option2:...>
    Cette option vous permet de lire des fichiers vidéo bruts. Les options disponibles sont: utilise le demuxer vidéo brut débit en trames par seconde, par défaut 25.0 définie la taille d'image standard largeur de l'image en pixels hauteur de l'image en pixels définie l'espace de couleurs espace de couleur (fourcc) en hexa taille de trame en octets

-rtsp-stream-over-tcp
    Utilisé avec 'rtsp://', URLs pour spécifier que les paquets RTP et RTCP entrants seront streamés sur TCP (en utilisant la même connexion TCP que RTSP). Cette option peut être utile si vous avez une connexion Internet cassée qui ne redirige pas les paquets UDP entrants (voir http://www.live.com/mplayer/).

-saveidx <nomfichier>
    Force la reconstruction de l'INDEX et le sauvegarde dans un fichier séparé spécifié par l'argument nomfichier. Pour l'instant cela ne fonctionne qu'avec les fichiers AVI. Bien que vous puissiez utiliser MEncoder pour réparer les fichiers sans index, le format AVI est limité à l'indexage de fichiers d'au plus 2 Go. Il est cependant possible de placer l'index dans un fichier séparé et de l'utiliser plus tard avec -loadidx, ce qui est plus rapide que de reconstruire l'index (avec -idx ou -forceidx) à chaque fois que le film est lu (C'est une limitation du format AVI, et bien qu'il existe une extension pour les indexes au delà de 2 Go, MPlayer ne supporte pas encore cette extension). Après que le fichier d'index ait été créé, MPlayer va lire la vidéo. Si vous voulez automatiser la génération de fichier d'index (après avoir encodé un gros fichier à partir d'une carte TV, par exemple), vous pouvez spécifier -frame 0 pour empécher MPlayer de lire la vidéo après avoir généré l'index. NOTE: Cette option sera obsolète dès que AVI aura le support ODML !

-sb <position octet> (voir l'option -ss également)
    Se place à la position donnée par 'octet'. Utile pour la lecture d'images CDROM / fichiers .VOB avec des saletés au début.

-srate <Hz>
    Sélectionne la fréquence d'échantillonage audio, en ré-échantillonant si nécessaire. MEncoder passe cette valeur à lame pour le ré-échantillonnage.

-ss <temps> (voir l'option -sb également)
    Se place à la position indiquée par 'temps'. EXEMPLE: se place à 56 secondes se place à 1 heure 10 min

-tskeepbroken
    Dit à MPlayer de ne pas rejeter les paquets TS marqués comme cassés dans le flux. Parfois requis pour lire des fichiers MPEG-TS corrompus.

-tsprog <1-65534>
    Pour la lecture de flux MPEG-TS, vous pouvez indiquer quel programme (si présent) vous voulez lire. Peut être utilisé avec -vid et -aid.

-tsprobe <position octet>
    Pour la lecture de flux MPEG-TS, cette option vous permet de spécifier dans combien d'octets du flux MPlayer devra chercher les pids audio et vidéo désirés.

-tv <option1:option2:...>
    Cette option active les facultés de capture TV de MPlayer. Pour regarder la TV avec MPlayer, utilisez 'tv://' ou 'tv://<numéro_canal>' ou même de film. NOTE:
    MPlayer n'accepte pas les deux-points, vous devez donc taper l'ID périphérique avec des points (c'est-à-dire . hw.0,0 au lieu de hw:0,0).
    Bien que vous puissiez sélectionner n'importe quelle fréquence d'échantillonnage en utilisant ALSA, le codec audio de LAME n'est capable d'encoder que les fréquences 'standards'. Vous obtiendrez un fichier .avi sans son si vous choisissez une fréquence inhabituelle et utilisez ce codec. Les options disponibles sont: aucun son disponible: dummy, v4l, v4l2, bsdbt848 Spécifie un autre périphérique que celui par défaut /dev/video0. Spécifie une autre entrée que celle par défaut 0 (Télévision) (voir la sortie pour en obtenir la liste) Spécifie sur quelle fréquence régler le tuner (par exemple 511.250). Non compatible avec le paramètre channels. Spécifie le format de sortie du tuner avec une valeur pré-selectionnée supportée par le pilote v4l (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) ou un format arbitraire donné en valeur héxa. Essayez outfmt=help pour avoir la liste des formats disponibles. largeur de la fenêtre hauteur de la fenêtre fréquence de la capture vidéo (trames par seconde) taille maximale du tampon de capture en mégaoctets (la moitié de la mémoire physique par défaut) disponible: PAL, SECAM, NTSC. Pour v4l2 utilisez l'option normid ci-dessous. v4l2 uniquement. Voir mes messages de MPlayer pour une liste des normes TV disponibles. Régler le tuner sur le canal <valeur> disponible: europe-east, europe-west, us-bcast, us-cable, etc Défini des noms pour les canaux. Utilisez _ pour les espaces dans les noms (ou jouez avec les quotes ;-). Les noms de canaux seront ensuite écrits en utilisant l'OSD, et les commandes tv_step_channel, tv_set_channel et tv_last_channel seront utilisables avec une télécommande (voir. lirc). Non compatible avec le paramètre frequency. Attention : Le numéro de canal sera sa position dans la liste des 'channels', en commençant à 1. Exemple: utilisez tv://1, tv://2, tv://TV1, tv_set_channel 1, tv_set_channel 2, tv_set_channel TV1, etc. Initialise les paramètres de couleur de la carte Initialise la fréquence de capture audio capture l'audio même si il n'y a pas de sources audio signalées par v4l capture depuis ALSA choisit un mode audio: 0: mono
    1: stéréo
    2: langue 1
    3: langue 2 Par défaut, le nombre de canaux audio est déterminé par l'interrogation automatique de la carte tv. Cette option vous permet de forcer l'enregistrement stereo/mono sans tenir compte de l'option amode et des valeurs retournés par v4l. Elle peut être utilisé quand la carte tv est incapable de renvoyer le mode audio courant. Indique un périphérique audio /dev/... pour OSS
    ID matériel pour ALSA choisis la sortie audio de la carte de capture, si elle à plus Ces options règlent les paramètres du mixeur de la carte de capture vidéo. Elles n'auront aucun effet si votre carte ne dispose pas d'un mixeur. Pour v4l1, 0-65535 est un intervalle valide. Pour v4l2, l'intervalle valide est 0 à 100, et 50 corresponds à la valeur par défaut du contrôle, tel que reporté par le pilote. Un valeur de 0 signifie capturer et bufferiser l'audio et la vidéo ensemble (par défaut pour mencoder). Une valeur de 1 (par défaut pour mplayer) signifie ne capturer que la vidéo et laisser l'audio passer au travers du câble de loopback de la carte TV à la carte son. Utilise la compression mjpeg matérielle (si la carte le supporte). En utilisant cette option, vous n'avez pas besoin de spécifier la largeur et la hauteur de la fenêtre de sortie, car MPlayer la déterminera automatiquement d'après la valeur de decimation (voir ci-dessous). choisis la taille de l'image qui sera compressée de façon matérielle: 1: grande taille
        704x576 PAL
        704x480 NTSC
    2: taille moyenne
        352x288 PAL
        352x240 NTSC
    4: petite taille
        176x144 PAL
        176x120 NTSC choisis la qualité de la compression jpeg
    (quality < 60 recommandé pour la grande taille)

-user <nom utilisateur> (voir également l'option -passwd)
    Indique un nom d'utilisateur pour l'identification HTTP.

-user-agent <chaine>
    Utilise chaine comme User-Agent pour le streaming HTTP.

-vid <id>
    Sélectionne le canal vidéo [MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190]. Pour lire un flux MPEG-TS, MPlayer/MEncoder utilisera le premier programme (si présent) avec le flux vidéo choisi.

-vivo <sub-options> (CODE DE DÉBOGAGE)
    Force les paramètres audio du demuxer .vivo (pour débuggage).

OPTIONS OSD/SUB
NOTE: voir -vf expand également.

-dumpjacosub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps JACOsub. Crée un fichier dumpsub.js dans le répertoire courant.

-dumpmicrodvdsub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format MicroDVD. Créé un fichier dumpsub.sub dans le répertoire courant.

-dumpmpsub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format natif de MPlayer, MPsub. Créé un fichier dump.mpsub dans le répertoire courant.

-dumpsami (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps SAMI. Crée un fichier dumpsub.smi dans le répertoire courant.

-dumpsrtsub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format SubViewer (SRT). Créé un fichier dump.srt dans le répertoire courant.

-dumpsub (MPLAYER uniquement) (BETA CODE)
    Extrait les sous-titres d'un flux VOB. Voir également les options -dump*sub et -vobsubout*.

-ffactor <nombre>
    Ré-échantillonne l'alphamap de la police. Peut être: polices toutes blanches bordure noire très fine (par défaut) bordure noire fine bordure noire épaisse

-flip-hebrew
    Active les sous-titres bidirectionnels en utilisant FriBiDi.

-font <chemin vers lechier font.desc>
    Recherche les polices OSD/SUB dans un répertoire particulier (répertoire par défaut pour les polices normales: ~/.mplayer/font/font.desc, pour les polices FreeType: ~/.mplayer/subfont.ttf). NOTE: Avec FreeType, cette option détermine le chemin vers le fichier de polices.
    Avec Fontconfig, cette option détermine le nom de police fontconfig. EXEMPLE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig
    Active l'utilisation des polices gérées par fontconfig.

-forcedsubsonly
    N'affiche que les sous-titres forcés pour le flux de sous-titres DVD sélectionné par (par ex.) -slang.

-fribidi-charset <nom charset>
    Spécifie le charset a passer à FriBiDi pour le décodage de sous-titres non-UTF8. La valeur par Défaut est "ISO8859-8".

-ifo <fichier ifo vobsub>
    Indique le fichier à utiliser pour charger la palette et la taille des trames des sous-titres VOBSUB.

-noautosub
    Désactive le chargement automatique du fichier de sous-titres.

-osdlevel <0-3> (MPLAYER uniquement)
    Spécifie dans quel mode OSD démarrer. 0: sous-titres uniquement volume + position (par défaut) volume + position + compteur + pourcentage volume + position + compteur + pourcentage + temps total

-overlapsub
    Permet au prochain sous-titre de s'afficher pendant que l'actuel est toujours visible (le comportement par défaut est d'en activer le support que pour des formats spécifiques).

-sid <id> (voir aussi l'option -slang)
    Active l'affichage des sous-titres DVD. Vous DEVEZ spécifier un nombre qui corresponds à une langue de sous-titres DVD (0-31). Pour obtenir une liste des sous-titres disponibles, utilisez avec l'option -v et regardez le résultat.

-slang <code de pays à deux lettres> (voir aussi l'option -sid)
    Pour la lecture de DVD, active/sélectionne la langue des sous-titres. Pour obtenir une liste des sous-titres disponibles, utilisez avec l'option -v et regardez le résultat. Sinon, définie un suffixe optionnel de sous-titres qui aura une priorité plus grande lors de la recherche des sous-titres. EXEMPLE: Sélectionne le hongrois et se rabat sur l'anglais si le hongrois n'est pas disponible.

-spuaa <mode>
    Mode d'antialiasing/redimmensionnement pour DVD/VobSub. Une valeur de 16 peut être ajouté à mode de façon à forcer le redimmensionnement même si la trame originale et la trame redimmensionnée correspondent déjà, par exemple pour lisser les sous-titres avec le flou gaussien. Les modes disponibles sont: aucun (le plus rapide, très sale) approximatif (cassé ?) complet (lent) bilinéaire (par défaut, rapide et pas trop mauvais) utilise le flou gaussien swscaler (très joli)

-spualign <-1-2>
    Spécifie comment les sous-titres spu (DVD/VobSub) devrient être alignés. Les valeurs sont les mêmes que pour -subalign, avec le choix supplémentaire -1 pour la position originale.

-spugauss <0.0-3.0>
    Paramètre de Variance du gaussien utilisé par -spuaa 4. Plus grands signifie plus de flou. La valeur par défaut est 1.0.

-sub <fichier de sous-titres1,fichier de sous-titres2,...>
    Utilise/affiche ces sous-titres uniquement. Un seul fichier peut être affiché à la fois et les fichiers peuvent être alternés avec 'j'.

-sub-bg-alpha <0-255>
    Spécifie la valeur du canal alpha pour le fond des sous-titres et de l'OSD. De grandes valeurs signifient plus transparent. La valeur 0 est une exception et signifie complètement transparent.

-sub-bg-color <0-255>
    Spécifie la valeur de la couleur pour le fond des sous-titres et de l'osd. Actuellement les sous-titres sont en niveau de gris donc cette valeur est équivalente à l'intensité de la couleur. La valeur 255 signifie blanc et 0 noir.

-sub-demuxer <nombre> (-subfile uniquement) (CODE BÉTA)
    Force le type de demuxer de sous-titres pour -subfile. Donne l'ID du demuxer tel que defini dans subreader.h.

-sub-fuzziness <mode>
    Ajuste l'exactitude de recherche des sous-titres: correspondance exacte charge tous les sous-titres contenant le nom du film charge tous les sous-titres du répertoire courant

-sub-no-text-pp
    Désactive tout post-processing du text après avoir chargé les sous-titres. Utilisé pour débogage.

-subalign <0-2>
    Spécifie comment les sous-titres devraient être alignés avec subpos. 0 signifie aligner en haut (comportement original/par défaut), 1 signifie aligner au centre, et 2 signifie aligner en bas.

-subcc Affiche les sous-titres DVD Closed Caption (CC).
    Ce ne sont PAS les sous-titres VOB, ce sont des sous-titres ASCII spéciaux pour malentendants encodés dans les flux VOB sur la plupart des DVD zone 1. Actuellement il ne semble pas y avoir de sous-titres CC sur les DVD d'autres zones.

-subcp <codepage>
    Si votre système supporte iconv(3), vous pouvez utiliser cette option pour spécifier la page de code du sous-titres EXEMPLE: -subcp latin2
    -subcp cp1250

-subdelay <sec>
    Décale les sous-titres de <sec> secondes. Peut être négatif.

-subfile <nomfichier> (CODE BETA)
    Inutile actuellement. Identique à -audiofile, mais pour les flux de sous-titres (OggDS ?).

-subfont-autoscale <0-3> (FreeType uniquement)
    Sélectionne le mode de redimensionnement automatique.
    NOTE: Zéro signifie que les tailles du texte et de l'OSD sont des largeur de polices en pixels. Le mode peut être: aucun redimensionnement proportionnel à la largeur du film proportionnel à la hauteur du film proportionnel à la diagonale du film (par défaut)

-subfont-blur <0-8> (FreeType uniquement)
    Fixe le rayon de flou (blur) sur les polices (par défaut: 2).

-subfont-encoding <valeur>
    Fixe l'encodage de la police. Avec 'unicode', tous les signes du fichier de police seront affichés et unicode sera utilisé (par défaut: unicode).

-subfont-osd-scale <0-100> (FreeType uniquement)
    Fixe le coefficient de mise à l'échelle automatique des éléments OSD (par défaut: 6).

-subfont-outline <0-8> (FreeType uniquement)
    Fixe l'épaisseur de la bordure de police (par défaut: 2).

-subfont-text-scale <0-100> (FreeType uniquement)
    Fixe le coefficient de mise à l'échelle automatique (en pourcentage de la taille de l'écran) (par défaut: 5).

-subfps <rate>
    Spécifie le rapport trame/sec du fichier de sous-titres (nombre à virgule), par défaut: même rapport que celui du film. NOTE:
    UNIQUEMENT pour les fichiers SUB basés sur des trames, c'est-à-dire PAS le format MicroDVD.

-subpos <0-100> (utile avec -vf expand)
    Spécifie la position des sous-titres sur l'écran. Cette valeur est la position verticale des sous-titres en % de la hauteur de l'écran.

-subwidth <10-100>
    Spécifie la largeur maximum des sous-titres sur l'écran. Utile pour la sortie TV. La valeur est la largeur des sous-titres en % de la largeur de l'écran.

-unicode
    Indique à MPlayer de traiter le fichier de sous-titre au format UNICODE.

-utf8
    Indique à MPlayer de traiter le fichier de sous-titre au un format UTF8.

-vobsub <fichier vobsub sans extension>
    Spécifie le fichier VobSub qui sera utilisé pour les sous-titres. Indiquez le chemin complet sans extensions, c'est-à-dire sans '.idx', '.ifo' ou '.sub'.

-vobsubid <0-31>
    Spécifie le numéro de sous-titre du fichier VobSub.

OPTIONS DE SORTIE AUDIO (MPLAYER UNIQUEMENT)

-abs <valeur> (OBSOLETE)
    Outrepasse la détection de la taille du buffer audio du pilote/de la carte, -ao oss uniquement

-ao <driver1[:device],driver2,...[,]>
    Spécifie une liste de priorité des drivers (éventuellement avec un périphérique) de sortie audio à utiliser. 'périphérique' est valide également avec SDL, il signifie alors sous-pilote.
    NOTE: Pour obtenir la liste complète des pilotes disponibles, voir -ao help.
    Si la liste finit par ',', les autres pilotes seront essayés en cas d'échec. EXEMPLE essaie d'utiliser OSS avec le périphérique son spécifié et se rabat sur les autres en cas d'échec spécifier le sous-pilote SDL

-aofile <nomfichier>
    Nom de fichier pour -ao pcm.

-aop <list=plugin1,plugin2...:option1=valeur1:opt2=val2...>
    Spécifier le ou les plugins et leurs options (voir également la documentation). Les options disponibles sont: liste des plugins séparée par des virgules (resample, surround, format, volume, extrastereo, volnorm) plugin d'exemple, à ne pas utiliser. format de sortie (plugin format uniquement) fréquence de sortie (plugin resample uniquement) volume (plugin volume uniquement) coefficient de stéréo (par défaut: 2.5) (plugin extrastereo uniquement) capacités de compression/'soft-clipping' (plugin volume uniquement)

-delay <sec>
    Décalage audio en secondes (peut être +/-nombre à virgule).

-format <0-8192>
    Sélectionne le format utilisé pour la sortie à partir de la couche filtre (suivant les définitions de libao2/afmt.h): Mu-Law A-Law Ima-ADPCM 8-bit signé 8-bit non signé 16-bit non signé (Little-Endian) 16-bit non signé (Big-Endian) 16-bit non signé (Little-Endian) 16-bit signé (Big-Endian) MPEG (2) Audio AC3 32-bit signé (Little-Endian) 32-bit non signé (Big-Endian)

-mixer <périph.>
    Cette option indique à MPlayer d'utiliser un autre périphérique de mixage que /dev/mixer.

-mixer-channel <mixer line> (-ao oss uniquement)
    Cette option dit à MPlayer d'utiliser un canal différent du PCM par défaut pour controller le volume. Les options incluent vol, pcm, line. Pour une liste complète des options, cherchez SOUND_DEVICE_NAMES dans /usr/include/linux/soundcard.h.

-nowaveheader (-ao pcm uniquement)
    N'inclus pas l'entête wave. Utilisé avec RAW PCM.

OPTIONS DE SORTIE VIDEO (MPLAYER UNIQUEMENT)

-aa* (-vo aa uniquement)
    Vous pouvez obtenir une liste et des explication sur les options disponibles en exécutant mplayer -aahelp

-bpp <profondeur>
    Utilise une profondeur de couleur différente de celle détectée. Les pilotes -vo ne la supporte pas tous (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Ajuste la luminosité de la sortie vidéo (0 par défaut). Cela change l'intensité des composants RGB du signal vidéo de noir jusqu'à blanc.

-contrast <-100-100>
    Ajuste le contraste de la sortie vidéo (0 par défaut). Fonctionne de manière similaire à la luminosité.

-dfbopts <valeur> (-vo directfb2 uniquement)
    Spécifie une liste de paramètres pour le pilote directfb.

-display <nom>
    Spécifier le nom d'hôte et le numéro d'affichage du serveur X sur lequel vous désirer afficher la vidéo. EXEMPLE: -display xtest.localdomain:0

-double
    Active le double-buffering. Evite le scintillement en plaçant deux trames en mémoire, et en affichant l'une tandis que l'on décode l'autre. Peut affecter l'OSD. Nécessite deux fois plus de mémoire que pour un buffer simple, cela ne marchera donc pas sur les cartes qui ont très peu de mémoire.

-dr   Active le rendu direct (pas supporté par tous les codecs et sorties vidéo)
    (off par défaut). Attention: peut corrompre OSD/SUB!

-dxr2 <option1:option2:...>
    Cette option est utilisée pour contrôler le pilote dxr2. mode aspect ratio (0 = normal, 1 = pan scan, 2 = letterbox (par défault)) mode de sortie iec958 initialise le mode de sortie iec958 à decoded (par défaut) mode macrovision mode (0 = off (par défaut), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) coupe la sortie son rétabli la sortie son chemin du microcode
    Sortie TV
active le mode de sortie 7.5 IRE désactive le mode de sortie 7.5 IRE (par défaut) sortie TV noirblanc sortie TV couleur sortie TV entrelacée norme TV (ntsc (par défaut), pal,pal60,palm,paln,palnc) initialise le mode pixel à square (carré) initialise le mode pixel à ccir601
    Overlay
initialise la valeur de découpage gauche (par défaut: 50) initialise la valeur de découpage droite (par défaut: 300) initialise la valeur de découpage haute (par défaut: 0) initialise la valeur de découpage basse (par défaut: 0) initialise le gain de r(ouge), v(ert) ou b(leu) pour la couleur-clé d'ensemble valeur minimum pour les couleurs-clé respectives valeur maximum pour les couleurs-clé respectives ignore les paramètres de recouvrement caché met à jour les paramètres de recouvrement caché active le recouvrement OnScreen Display désactive le recouvrement OnScreen Display (par défaut) ajuste la taille et la position de l'overlay au cas où il ne corresponde pas parfaitement à la fenêtre (par défaut: 0) active l'overlay active la sortie TV règle l'overlay (1000 par défaut)

-fb <périphérique> (fbdev ou DirectFB uniquement) (OBSOLÈTE)
    Spécifie un périphérique framebuffer à utiliser. Par défaut /dev/fb0 est utilisé.

-fbmode <nommode> (fbdev uniquement)
    Se place dans le mode vidéo <nommode> tel qu'indiqué dans /etc/fb.modes.
    NOTE: Le framebuffer VESA ne supporte pas le changement de mode.

-fbmodeconfig <nomfichier> (fbdev uniquement)
    Utilise ce fichier de configuration à la place de celui par défaut /etc/fb.modes. Valide uniquement avec le pilote fbdev.

-forcexv (SDL uniquement)
    Force l'utilisation de XVideo.

-fs Affichage plein-écran (centre le film, et place les bandes noires autour). Basculer avec la touche 'f' (les modes de sortie vidéo ne le supportent pas tous). Voir aussi -zoom.

-fsmode-dontuse <0-31> (OBSOLÈTE) (utiliser l'option -fs)
    Essayez cette option si vous avez encore des problèmes en plein écran.

-fstype <type1,type2,...>
    Spécifie une liste de priorité des couches de paramètres plein-écran à utiliser. Les types disponibles sont: Utilise l'astuce _NETWM_STATE_ABOVE si disponible. Utilise l'astuce _NETWM_STATE_BELOW si disponible. Utilise l'astuce _NETWM_STATE_FULLSCREEN si disponible. Utilise l'astuce _WIN_LAYER avec la couche par défaut. Utilise l'astuce _WIN_LAYER avec le numéro de couche. Force le style NETWM. N'initialise pas la couche plein-écran de la fenêtre. Utilise l'astuce _NETWM_STATE_STAYS_ON_TOP si disponible.
Vous pouvez inverser les modes en les préfixant de '-'.
L'ordre par défaut est layer,stays_on_top,above,fullscreen. Ce sera utilisé pour se rabattre au cas où un mode incorrect ou insupporté soit indiqué.
Les utilisateurs d'OpenBox 1.x doivent utiliser -fstype -fullscreen pour avoir un basculement en plein écran fonctionnel.
Si des fenêtres recouvrent le plein écran, essayez un ordre différent.
NOTE: Voir -fstype help pour une liste complète des modes disponibles.

-geometry x[%][:y[%]] ou [WxH][+x+y]
    Ajuste la position d'origine sur l'écran de la sortie. Les variables x et y sont en pixels mesurés à partir du coin supérieur droit de l'écran jusqu'au coin supérieur droit de la vidéo affichée, cependant si un signe pourcentage est indiqué après la variable, cette valeur est alors considérée comme le pourcentage de la taille de l'écran dans cette direction. Il supporte également le format d'option standard pour l'option X standard -geometry. Les valeur données doivent être des valeurs entières.
    NOTE: Cette option n'est supportée que par vo x11, xmga, xv, xvmc, xvidix, directx et tdfxfb. EXEMPLE: Place la fenêtre à x=50, y=40 Place la fenêtre au centre de l'écran Place la fenêtre en haut à gauche de l'écran Place la fenêtre en bas à gauche de l'écran

-guiwid <id fenêtre>
    Indique à la GUI d'utiliser également une fenêtre X11 et de se fixer au bas de la vidéo, ce qui est utile pour embarquer une mini-GUI dans un navigateur (avec mplayerplug-in par exemple).

-hue <-100-100>
    Ajuste la couleur (hue) du signal vidéo (0 par défaut). Vous pouvez obtenir un négatif de l'image avec cette option.

-jpeg <option1:option2:...> (-vo jpeg uniquement)
    Spécifie les option de la sortie JPEG.
    Les options disponibles sont: Fichiers JPEG standards ou progressifs. Utilisation de la baseline ou pas. Facteur d'optimisation [0-100] Facteur de douceur [0-100] Facteur de qualité [0-100] Répertoire où sauver les fichiers JPEG

-monitor-dotclock <dotclock (ou pixelclock) range> (fbdev et vesa
    uniquement) Regardez dans etc/example.conf pour plus d'info, ainsi que dans DOCS/HTML/fr/devices.html#video-dev.

-monitor-hfreq <intervalle de fréquence horizontal> (fbdev et vesa
    uniquement)

-monitor-vfreq <intervalle de fréquence vertical> (fbdev et vesa uniquement)

-monitoraspect <rapport>
    Fixe le rapport hauteur/largeur de votre moniteur ou de votre TV. Voir aussi -aspect pour l'aspect du film. EXEMPLE: -monitoraspect 4:3 ou 1.3333
    -monitoraspect 16:9 ou 1.7777

-nograbpointer
    Ne capte pas le pointeur de la sourie après une changement de Vidmode (-vm),
     utile pour les configurations multihead.

-nokeepaspect
    Ne garde pas l'aspect ratio de la fenêtre en redimensionnant les fenêtres X11 (Ne fonctionne actuellement qu'avec -vo x11, xv, xmga et xvidix et votre gestionnaire de fenêtres doit comprendre les astuces d'aspect de fenêtres.).

-noxv (SDL uniquement)
    Désactive le pilote XVideo de SDL.

-ontop
    Rends le lecteur toujours visible Supporté par les pilotes qui utilisent X11, excepté SDL, aussi bien que directx et gl2 sous Windows.

-panscan <0.0-1.0>
    Active la fonctionnalité Pan & Scan; par exemple pour afficher un film 16/9 sur un affichage 4/3, les bords du film sont coupés pour obtenir une image 4/3 plein-écran. Cette option ne fonctionne qu'avec les pilotes de sortie xv, xmga, mga et xvidix.
    L'intervalle définit à quel point l'image sera coupée.

-rootwin
    Joue le film dans la fenêtre root (le fond du bureau) au lieu d'en ouvrir une nouvelle. Cette option ne fonctionne qu'avec les pilotes x11, xv, xmga et xvidix.

-saturation <-100-100>
    Ajuste la saturation du signal vidéo (0 par défaut). Vous pouvez obtenir une sortie noir&blanc avec cette option.

-screenw <pixels> -screenh <pixels>
    Si vous utilisez un pilote de sortie qui ne connaît pas la résolution de l'écran (fbdev/x11 et/ou TVout) vous pouvez spécifier ici les résolutions horizontales et verticales.

-stop-xscreensaver
    Désactive xscreensaver au lancement et le réactive à la sortie.

-vm   Essaie de changer vers un meilleur mode vidéo.
    Les pilotes de sortie dga, x11/xv (XF86VidMode) et sdl le supportent.

-vsync  Active VBI pour vesa.

-wid <window id>
    Permet d'utiliser une fenêtre X11, ce qui est utile pour intégrer MPlayer dans un navigateur (avec l'extension plugger par exemple).

-xineramascreen <0-...>
    Dans les configurations xinerama (c'est à dire un bureau unique s'étendant sur plusieurs écrans, cette option dit à MPlayer sur quel écran afficher le film.

-z <0-9>
    Spécifie le taux de compression pour la sortie PNG (-vo png) pas de compression compression maximum

-zrbw (-vo zr uniquement)
    Affiche en noir et blanc (pour des performances optimales, cette option peut être combinée avec l'option 'décoder uniquement en noir et blanc' des codecs appartenant à la famille FFmpeg).

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr uniquement)
    Sélectionne une une partie de l'image pour affichage, de multiples occurrences de cette option activent le mode cinérama. En mode cinérama le film est répartie sur plusieurs TV (ou moniteurs) pour créer un écran plus large. Les options apparaissant après le n-ième -zrcrop s'appliquent à la n-ième carte MJPEG, chaque carte devant au moins avoir un -zrdev en plus de -zrcrop. Voir la sortie de -zrhelp et la section Zr de la documentation pour les exemples.

-zrdev <device> (-vo zr uniquement)
    Spécifier le fichier spécial qui corresponds à votre carte MJPEG, par défaut le pilote prends le premier périphérique v4l qu'il peut trouver.

-zrfd (-vo zr uniquement)
    Forcer la décimation: La décimation, paramétré via -zrhdec et -zrvdec, ne fonctionne que si le zoom hardware peut étirer l'image à sa taille originale. Utilisez cette option pour forcer la décimation.

-zrhelp (-vo zr uniquement)
    Affiche la liste de toutes les options -zr*, leur valeur par défaut et un exemple de mode cinérama.

-zrnorm <norm> (-vo zr uniquement)
    Spécifie la norme PAL/NTSC, par défaut:'no change'.

-zrquality <1-20> (-vo zr uniquement)
    Un nombre entre 1 et 20 représentant la qualité de l'encodage jpeg. 1 est la meilleur qualité et 20 la plus mauvaise.

-zrvdec <1,2,4> -zrhdec <1,2,4> (-vo zr uniquement)
    Décimation verticale/horizontale: Demande au pilote de n'envoyer que chaque second(e) ou quatrième ligne/pixel de l'image à la carte MJPEG et d'utiliser le zoom de la carte MJPEG pour étirer l'image à sa taille initiale.

-zrxdoff <x display offset>, -zrydoff <y display offset> (-vo zr
    uniquement) Si le film est plus petit que l'écran, cette option contrôle la position du film par rapport au coin supérieur gauche de l'écran. Le film est centré par défaut.

OPTIONS DE DÉCODAGE/FILTRAGE

-ac <[-]codec1,[-]codec2,...[,]>
    Spécifie la liste de priorité des codecs audio à utiliser, à partir de leur nom de codec dans codecs.conf. Utilisez un '-' avant le nom d'un codec pour l'omettre.
    NOTE: Voir -ac pour une liste complète des codecs disponibles.
    Si la liste contient une ',' finale, se rabat alors sur les codecs non-listés. EXEMPLE: force le codec MP3 l3codeca.acm essaie d'abord libmad, puis se rabat sur les autres essaie le transfert matériel AC3, ensuite le codec logiciel AC3, puis les autres essaie d'autres codecs excepté le décodeur MP3 de FFmpeg

-af <plugin1[=options],plugin2,...>
    Active un liste des filtres audio et de leurs options.
    Les filtres disponibles sont: Change la fréquence d'échantionnage du flux audio à un srate entier (Hz). Il ne supporte que le format 16 bit little endian. Change le nombre de canaux à nca canaux de sortie. Si le nombre de canaux de sortie est plus grand que le nombre de canaux d'entrée des canaux vides sont insérés (exepté pour le mixage de mono vers stéréo, où le canal audio est répété sur chacun des canaux de sortie). Si le nombre de canaux de sortie est plus petit que le nombre de canaux d'entrée les canaux en trop seront tronqués. Sélectionne le format f et octets par échantillon bps utilisés pour la sortie depuis la couche filtre. L'option bps est un entier et définis les Octets par sample. Le format f est une chaine contenant un mix concaténé de:
    alaw, mulaw ou imaadpcm
    float ou int
    unsigned ou signed
    le ou be (little ou big endian)
    Selectionne le niveau du volume de sortie. Ce filtre n'est pas réentrant et ne peux donc être activé qu'une seule fois pour chaque flux audio. v: gain désiré en dB pour tous les canaux du flux. Le gain peut être fixé de -200dB à +40dB (où -200dB coupe le son complètement et +40dB équivaut à un gain de 1000).
    sc: active le découpage logiciel. Mixe les canaux arbitrairement, voir DOCS/HTML/fr/devices.html#audio-dev pour les détails. n: nombre de canaux de sortie (1-6).
    lij: combien du canal j est mixé dans le canal de sortie i. Ajoute le canal sub-woofer. fc: Fréquence du cutoff pour le filtre pass-bas (20Hz à 300Hz) la valeur par défaut est 60Hz.
    ca: numéro de canal pour le sous-canal. Décodeur pour le son surround encodé en matrice, fonctionne sur de nombreux fichiers à deux canaux. d: décalage en ms pour les haut-parleurs arrière (0ms à 1000ms) 15ms par défaut. Décale la sortie du son. Spécifie le décalage séparemment pour chaque canal en millisecondes (nombre à virgule entre 0 et 1000). Exporte le signal entrant vers un autre process en utilisant le mappage mémoire (nmap()). fichier_nmappé: Fichier où mapper les données (par défaut:~/.mplayer/mplayer-af_export).
    nsamples: nombre d'échantillons par canal (par défaut: 512)

-af-adv <force=(0-3):list=(filters)> (voir également l'option -af)
    Spécifie les options avancées de filtrage audio: Force l'insertion des filtres audio de l'une des façons suivantes: 0: Insertion totalement automatique des filtres (par défaut)
    1: Optimise pour l'exactitude
    2: Optimise pour la vitesse
    3: Désactive auto Identique à -af (voir cette option).

-afm <driver1,driver2,...>
    Spécifie une liste de priorité des pilotes audio à utiliser, d'après leur nom de pilote dans codecs.conf. Il se rabat sur celui par défaut si aucun ne convient.
    NOTE: Voir -afm help pour la liste complètes des pilotes disponibles. EXEMPLE: essaie les codecs libavcodec (mp1/2/3) de FFmpeg en premier essaie les codecs Win32 en premier

-aspect <ratio>
    Force l'aspect ratio des films. C'est autodétecté dans les fichiers MPEG, mais ne peut l'être dans la plupart des fichiers AVI. EXEMPLE: -aspect 4:3 ou -aspect 1.3333
    -aspect 16:9 ou -aspect 1.7777

-codecs-file <nom>
    Utilise le fichier spécifique au lieu de celui du système ou celui du codecs.conf intégré. Voir aussi -afm, -ac, -vfm et -vc.

-flip
    Inverse l'image de haut en bas.

-lavdopts <option1:option2:...> (CODE DE DÉBOGUAGE)
    Si vous décodez avec libavcodec, vous pouvez spécifier ses paramètres ici. EXEMPLE: -lavdopts bug=1
    NOTE: Ajoutez juste les valeurs des choses que vous voulez activer.
    Les options disponibles sont:
annulation des erreurs: 1: utilise un filtre de déblocage fort pour les MBs endommagés
2: recherche MV itérative (lente)
3: toutes (par défaut) résiliation des erreurs:
0: désactivé
1: prudente (devrait fonctionner avec les encodeurs endommagés)
2: normale (par défaut) (fonctionne avec les encodeurs conformes)
3: agressive (plus de vérifications mais peut causer des problèmes même avec les flux valides)
4: très agressive débogage:
0: désactivé
1: info image
2: contrôle du débit
4: bitstream
8: type MB
16: QP
32: Vecteur de mouvement
0x0040: Visualisation de vecteur de mouvement (utilisez -noslices)
0x0080: saut MB
0x0100: startcode
0x0200: PTS
0x0400: error resilience
0x0800: opérations de contrôle de gestion de la mémoire (H264)
0x1000: bogues vismv:
0: désactivé
1: visualise les MVs prédits en avant des trames P
2: visualise les MVs prédits en avant des trames B
4: visualise les MVs prédits en arrière des trames B contourne manuellement les bogues des encodeurs: 0: rien
1: autodétecter les bogues (par défaut)
2 (msmpeg4v3): certains vieux fichiers msmpeg4v3 générés avec lavc (pas d'autodétection)
4 (mpeg4): bogue d'entrelacement de xvid (autodétecté si fourcc==XVIX)
8 (mpeg4): UMP4 (autodétecté si fourcc==UMP4)
16 (mpeg4): bogue de remplissage (autodétecté)
32 (mpeg4): bogue vlc illégal (autodétecté par fourcc)
64 (mpeg4): bogue qpel XVID et DIVX (autodétecté par foorcc/ver)
128 (mpeg4): vieux standard qpel (autodétecté par fourcc/ver)
256 (mpeg4): un autre bogue qpel (autodétecté par fourcc/ver)
512 (mpeg4): bogue direct-qpel-blocksize (autodétecté par fourcc/ver)
1024 (mpeg4): bogue de remplissage des bords (autodétecté par fourcc/ver) (voir lavcopts) Pour obtenir la meilleur qualité d'encodage utilisez le même algorithme idct pour le décodage et l'encodage. décodage en niveaux de gris uniquement (un peu plus rapide qu'en couleur)

-noaspect
    Désactive la compensation automatique de l'aspect ratio.

-noslices
    Désactive l'affichage de la vidéo par tranches/bandes de 16 pixels, affiche la trame entière d'un seul coup. Peut être plus rapide ou plus lent, en fonction de la carte/du cache. Cette option n'a d'effet que sur les codecs libmpeg2 et libavcodec.

-nosound
    Ne pas jouer/encoder le son.

-novideo
    Ne pas jouer/encoder la vidéo.

-oldpp <qualité> (OBSOLÈTE)
    Utilise le code de postprocessing d'opendivx au lieu de l'interne. À ne plus utiliser au profit de -pp, car le postprocessing interne offre une meilleur qualité et de meilleurs performances. L'intervalle valide des valeurs de -oldpp varie suivant le codec, la plupart du temps 0-6, où 0=désactive 6=plus lent/meilleur.

-pp <qualité> (voir l'option -vf pp également!)
    Initialise le niveau de postprocess de la DLL. Cette option N'EST PLUS UTILISABLE avec le filtre de postprocess de MPlayer, mais uniquement avec les DLLs DirectShow Win32 qui ont des routines de postprocessing interne. L'intervalle valide de la valeur -pp pour les filtres de pp varient suivant les codecs, généralement 0-6, où 0=désactivé 6=plus lent/meilleur.

-pphelp (voir l'option -vf pp également)
    Affiche un aperçu des filtres de postprocess disponibles et de leur utilisation.

-ssf <mode>
    Spécifie les paramètres de SwScaler. EXEMPLE -vf scale -ssf lgb=3.0
Filtre flou gaussien (luma) Filtre flou gaussien (chroma) filtre sharpen (luma) filtre sharpen (chroma) chroma horizontal shifting chroma vertical shifting

-stereo <mode>
    Sélectionne le mode de sortie stéréo MP2/MP3. Stéréo Canal gauche Canal droit

-sws <type de zoom logiciel> (voir également l'option -vf scale)
    Cette fonction fixe la qualité (et la vitesse, respectivement) du zoom logiciel, avec l'option -zoom option. Par exemple avec X11 ou d'autres sorties qui manquent d'accélération matérielle. Les réglages possibles sont:
    NOTE: Pour -sws 2 et 7, le sharpness peut être initialisé avec le paramètre de zoom (p) de -vf scale (0 (doux) - 100 (fort)), pour -sws 9, il spécifie la longueur du filtre (1 - 10). fast bilinear (par défaut) bilinear bicubic (bonne qualité) experimental plus proche voisin (mauvaise qualité) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]codec1,[-]codec2,...[,]>
    Spécifie une liste de priorité des codecs vidéo à utiliser, suivant leur nom de codec dans codecs.conf. Utilisez un '-' avant le nom d'un codec pour l'omettre.
    NOTE: Voir -vc help pour une liste complète des codecs disponibles.
    Si la liste à une ',' finale, il se rabattra sur les codecs non-listés. EXEMPLE: force le codec DivX Win32/VFW, sans rabattement essaie le codec divx4linux en premier, puis se rabat sur les autres essaie les autres codecs excepté les codecs DivX Win32 essaie le codec MPEG1/2 de libavcodec, puis libmpeg2, puis les autres

-vfm <pilote1,pilote2,...>
    Spécifie une liste de priorité des codecs vidéo à utiliser, suivant leur nom de pilote dans codecs.conf. Se rabattra sur celui par défaut si aucun ne convient.
    NOTE: Si le support libdivxdecore a été compilé, alors odivx et divx4 contiennent maintenant le même codec DivX4, mais plusieurs APIs pour l'atteindre. Pour les différences entre elles et quand utiliser laquelle, regardez la section DivX4 de la documentation.
    Voir -vfm help pour une liste complète des pilotes disponibles. EXEMPLE: essaie les codecs libavcodec, puis Directshow, puis VFW et se rabat sur les autres, si aucun n'arrive à convenir essaie les codecs XAnim en premier

-x <x> (MPLAYER uniquement)
    Zoome l'image à la largeur x (si le zoom sw/hw est disponible). Désactive les calculs d'aspect.

-xvidopts <option1:option2:...>
    Spécifie les paramètres additionnels en encodant avec XviD.

-xy <valeur>
    Zoome l'image d'un facteur <x>. Initialiser la largeur à valeur et calculer la hauteur pour garder l'aspect ratio.

-y <y> (MPLAYER uniquement)
    Zoome l'image à la hauteur y (si le zoom sw/hw est disponible). Désactive les calculs d'aspect.

-zoom Permet le zoom logiciel, si disponible.
    Peut être utilisé pour forcer le zoom avec -vf scale.
    NOTE: -vf scale IGNORERA les options -x / -y / -xy / -fs / -aspect sans -zoom.

FILTRES VIDÉO
Les filtres vidéo sont des plugins qui permettent de modifier le flux vidéo et ses propriétés. La syntaxe est:

-vf <filtre1[=paramètres],filtre2,...>
    Initialise une chaine de filtres vidéo.

-vop <...,filtre3[=paramètres],filtre2,filtre1> (OBSOLÈTE)
    Initialise une chaine de filtres vidéo, à appliquer en ordre ordre inverse. Utilisez de préférence -vf.

Les paramètres sont optionnels et si omis, certains d'entre eux s'initialiseront avec des valeurs par défaut. Utilisez '-1' pour garder la valeur par défaut. Les paramètres l:h signifient largeur x hauteur en pixels, x:y signifient position x;y à partir de du coin supérieur gauche de la plus grande image.
NOTE: Pour avoir une liste complète des filtres disponibles, voir -vf help. Les filtres sont gérés en listes. Il y a quelques commandes pour gérer la liste de filtres.

-vf-add <filtre1[,filtre2,...]>
    Ajoute le filtre donné en argument à la fin de la liste de filtres.

-vf-pre <filtre1[,filtre2,...]>
    Ajoute le filtre donné en argument au début de la liste de filtres.

-vf-del <index1[,index2,...]>
    Supprime le filtre à l'index indiqué. Les numéros d'index commencent à 0, les nombres négatifs indiquent la fin de la liste (-1 pour le dernier).

-vf-clr
    Vide complètement la liste de filtres.

Avec les filtres qui le supporte, vous pouvez accéder à leur paramètres via noms.

-vf <filtre>=help
    Affiche les noms des paramètres et leur intervalle de valeurs pour un filtre particulier.

-vf <filtre=paramètre_nommé=valeur1[:paramètre_nommé2=valeur2:...]>
    Fait correspondre un paramètre nommé à une valeur donnée. Utilisez on et off ou yes et no pour positionner les flags des paramètres.

Les filtres disponibles sont:

crop[=l:h:x:y]
    Découpe la partie donnée de l'image et jette le reste. Utile pour enlever les bandes noires d'un film écran large. Largeur et hauteur coupées, par défaut les largeur et hauteur originales. Position de l'image coupée, par défaut au centre.

cropdetect[=0-255]
    Calcule les paramètres nécessaires de coupe et les affiche sur stdout. Le seuil peut éventuellement être spécifié de rien (0) à tout (255). (par défaut: 24)

rectangle[=l:h:x:y]
    Ce plugin réponds à la directive 'change_rectangle' de input.conf qui prends deux paramètres. largeur et hauteur (par défaut: -1, largeur maximum où les limites sont toujours visibles. position du coin supérieur gauche (par défaut: -1, le plus haut et le plus à gauche)

expand[=l:h:x:y:o]
    Étends (ne zoom pas) la résolution du film aux valeurs fournies et place l'original non redimensionné aux coordonnées x y. Peut être utilisé pour placer les sous-titres /l'OSD dans les bandes noires. largeur,hauteur étendues (par défaut: largeur,hauteur originales) Des valeurs négatives pour l et h sont traitées en tant qu'offset de la taille originale. EXEMPLE
expand=0:-50:0:0
    ajoute un bord de 50 pixels en bas de l'image
position de l'image originale sur l'image étendue (par défaut: centrée) rendu OSD/sous-titres 0: désactivé (par défaut)
1: activé

flip
    Inverse l'image de haut en bas. Voir également l'option -flip.

mirror
    Inverse l'image selon l'axe Y.

rotate[=<0-7>]
    Tourne et (éventuellement) inverse l'image de +/- 90 degrés. Pour les paramètres entre 4-7 la rotation n'est faite que si la géométrie du film est en mode portrait et non en paysage.

scale[=l:h[:interlaced[:chr_drop[:param[:presize]]]]]
    Redimensionne l'image avec le zoom logiciel (lent) et applique une conversion de palette YUV<->RGB (voir également l'option -sws).
    NOTE: Si -zoom est utilisée, et que les filtres sous-jacents (y compris libvo) ne sont pas capable de redimmensionner, alors les valeurs par défaut seront d_width/d_height !
     0: largeur/hauteur dimmensionnées à d_width/d_height
    -1: largeur/hauteur originales
    -2: Calcule l/h en utilisant l'autre dimension et l'aspect ratio redimensionné.
    -3: Calcule l/h en utilisant l'autre dimension et l'aspect ratio original. Bascule le redimmensionnement entrelacé. saut de chroma 0: utilise toutes les lignes disponibles pour le chroma
    1: n'utilise qu'une ligne sur 2 pour le chroma
    2: n'utilise qu'une ligne sur 4 pour le chroma
    3: n'utilise qu'une ligne sur 8 pour le chroma paramètres de redimensionnement (dépends de la méthode de redimensionnement utilisée) -sws 2 (bicubique) est la duretée (0 (doux) - 100 (dur))
    -sws 7 (gaussien) est la duretée (0 (doux) - 100 (dur))
    -sws 9 (lanczos) est la longueur du filtre (1-10) IPs presize Scale to preset sizes. qntsc: 352x240 (NTSC quart d'écran)
    qpal: 352x288 (PAL quart d'écran)
    ntsc: 720x480 (NTSC standard)
    pal: 720x576 (PAL standard)
    sntsc: 640x480 (NTSC à pixels carrés)
    spal: 768x576 (PAL à pixels carrés)

dsize={aspect|l:h}
    Change la taille/l'aspect de l'affichage à un point arbitraire de la chaine de fitres. Aspect peut être indiqué en tant que fraction (4/3) ou en tant que nombre à virgule (1.33). Vous pouvez également spécifier les largeurs et hauteurs exactes d'affichage désirées. Notez que ce filtre ne fait AUCUN redimmensionnement lui-même; il affecte juste ce que feront les prochains redimmensionnements (logiciels ou matériels) feront en corrigeant l'aspect.

yuy2
    Force la conversion logicielle YV12/I420 ou 422P vers YUY2 Utile pour les cartes graphiques/pilotes qui ont un support lent de YV12 mais rapide de YUY2.

yvu9
    Force la conversion de couleur logicielle de YVU9 en YV12. Utiliser de préférence le zoom logiciel à la place.

yuvcspCalle les valeurs de couleurs YUV sur l'intervalle CCIR 601 sans conversion
    réelle.

rgb2bgr[=swap]
    conversion de palette RGB 24/32 <-> BGR 24/32 Échange en plus R <-> B.

palette
    conversion de palette RGB/BGR 8 -> 15/16/24/32bpp en utilisant palette.

format[=fourcc]
    Restreint la palette pour le prochain filtre sans faire de conversion. Utilisez-le avec le filtre scale pour une véritable conversion. Pour avoir une liste des formats disponibles, voir format=fmt=help. nom de format comme rgb15, bgr24, yv12, etc (par défaut: yuy2)

noformat[=fourcc]
    Restreint l'espace de couleur au prochain filtre sans faire aucune conversion. Contrairement au filtre format, il permet n'importe quel espace de couleur excepté celui que vous spécifiez. Pour une liste des différents formats disponible, voyez noformat=fmt=help. nom du format comme rgb15, bgr24, yv12, etc. (par défaut: yv12)

pp[=filtre1[:option1[:option2...]]/[-]filtre2...] (voir aussi -pphelp)
    Cette option active le filtre interne de postprocessing, et propose une interface où vous pouvez passer des options au filtre nommé. Pour obtenir une liste des filtres disponibles, utilisez -pphelp. Notez que chaque sous-filtre doit être séparé des autres avec le signe /.
    Chaque filtre est 'c' (chrominance) par défaut.
    Les mots-clés acceptent un préfixe '-' pour désactiver une option.
    Un ':' suivi d'une lettre peut être ajouté à l'option pour indiquer sa portée: Désactive automatiquement le filtre si le CPU est trop lent. Filtre également la chrominance. Pas de filtrage de la chrominance (filtrage de la luminance uniquement).
    EXEMPLES:
Débloquage horizontal et vertical, "deringing" et luminosité/contraste auto Débloquage horizontal et vertical, "deringing" et luminosité/contraste auto et désentrelacement "linear blend" Filtres par défaut sans correction de luminosité/contraste Active les filtres par défaut & le débruiteur temporel. Débloque la luminance horizontale uniquement et active ou désactive le déblocage vertical suivant le temps CPU disponible.

spp[=qualité[:qp]]
    filtre de postprocessing simple 0-6

qp=equation
    filtre qp change une équation comme "2+2*sin(PI*qp)"

test  Génère divers motifs de test.

rgbtest
    Génère un motif de test RGB utile pour détecter les problèmes RGB contre BGR. Vous devriez voir une frise rouge, verte et bleue du haut vers le bas.

lavc[=qualité:fps]
    Conversion logicielle YV12 vers MPEG1 rapide avec libavcodec pour utilisation avec DVB/DXR3. Plus rapide et de meilleur qualitée que -vf fame. 1-31: qscale fixe
    32-: débit fixe en kBits force les fps de sortie (nombre à virgule) (par défaut: 0, autodétection basée sur la hauteur)

fame
    Conversion logicielle YV12 vers MPEG1 rapide avec libfame pour utilisation avec DVB/DXR3.

dvbscale[=aspect]
    Fixe le zoom optimum pour les cartes DVB, en redimmensionnant sur l'axe X de façon matérielle et en calculant le redimmensionnement sur l'axe Y de façon logicielle pour conserver l'aspect. Utile uniquement avec expand+scale (-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc). contrôle l'aspect ratio, calculé comme ceci: DVB_HAUTEUR*ASPECTRATIO, par défaut: 576*4/3=768, fixez-le à 576*(16/9)=1024 pour une télé 16:9.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Ajoute du bruit. bruit luma bruit chroma bruit uniforme (gaussien sinon) bruit temporel (le motif de bruit change entre les trames) bruit temporel moyen (plus lisse, mais beaucoup plus lent) haute qualité (qualité légèrement meilleure , mais légèrement plus lent) mixe du bruit aléatoire avec un motif (semi-)régulier

denoise3d[=luma:chroma:temps]
    Ce filtre est destiné à réduire le bruit de l'image pour produire des images lissées et garder des images réellement fidèles (cela devrait améliorer la compatibilité.). On peut lui donner de 0 à 3 paramètres. Si vous omettez un paramètre, une valeur raisonnable sera insérée. force spatiale du chroma (par défaut = 3)

hqdn3d[=luma:chroma:temps]
    Version de haute précision:qualité du filtre denoise3d. Les paramètres et le comportement sont les mêmes.

eq[=lumi:cont]
    Égaliseur logiciel avec contrôles interactifs comme les ég. matériels. Pour les cartes/pilotes qui ne supportent pas les contrôles de la luminosité et du contraste de façon matérielle. Peut également être utile avec MEncoder, soit pour réparer des films mal encodés, soit pour réduire légèrement le contraste pour masquer les artefacts et s'accomoder de débits plus bas. Les valeurs initiales dans l'intervalle -100- 100 peuvent être fournies en ligne de commandes. Égaliseur logiciel alternatif qui utilise des tables de lookup (très lent), autorisant une correction du gamma en plus d'un simple ajustement de luminosité et de contraste. Notez que cela utilise le même code MMX optimisé que -vo eq si toutes les valeurs gamma sont 1.0. Les paramètres sont donnés en nombres à virgule. Les paramètres rg, vg, bg sont les valeurs gamma indépendantes pour les composants Rouge, Vert et Bleu. Le paramètre poids peut être utilisé pour réduire l'effet de hautes valeurs de gamma sur les parties claires de l'image, c-a-d. les empécher d'être sur-amplifiées et de devenir complètement blanches. Une valeur de 0.0 désactive complètement la correction gamma tandis que 1.0 lui laisse toute sa force. Les valeurs par défaut sont gamma=1.0, contraste=0.0, luminosité=0.0, saturation=1.0, poids=1.0. Les intervalles de valeur sont 0.1-10 pour les gamma, -2-2 pour le contraste (les valeurs négatives provoquent une image négative), -1-1 pour la luminosité, 0-3 pour la saturation et 0-1 pour le poids.

hue[=couleur:saturation]
    Les valeur par défaut sont couleur=0.0, saturation=1.0. Les intervalles sont -180-180 pour couleur, -2-2 pour saturation (des valeurs négatives impliquent un chroma négatif).

halfpack[=f]
    Convertit le planar YUV 4:2:0 en 4:2:2 demi-hauteur, en downsamplant le luma mais en gardant les samples chroma. Utile quand la sortie est un périphérique à basse résolution quand la diminution est de mauvais qualité ou n'est pas disponible. Peut également être utilisé comme désentrelaceur primitif pour luma uniquement avec une utilisation CPU très basse. Par défaut, halfpack fait une moyenne des paires de lignes pendant le downsampling. Le paramètre optionnel f peut valoir 0 pour n'utiliser que les lignes paires, ou 1 pour n'utiliser que les lignes impaires. Tout autre valeur de f renvoie au comportement par défaut (moyenne).

ilpack[=mode]
    Quand de la vidéo entrelacée est stockée aux formats YUV 4:2:0, l'entrelacement chroma ne se fait pas proprement à cause du downsampling vertical des canaux chroma. Ce filtre place les données 4:2:0 au format YUY2 (4:2:2) avec les lignes chroma à leur bon emplacement, de façon à ce que à chaque ligne scannée, les données luma et chroma proviennent toutes deux du même champs. L'argument optionnel sélectionne le mode d'échantillonage. Par défaut, l'interpolation linéaire (mode 1) est utilisé. Le mode 0 utilise un échantillonage 'plus proche voisin' (nearest-neighbor), qui est rapide mais incorrect.

decimate[=max:haut:bas:frac]
    Saute les trames qui ne différent pas beaucoup de la trame précédente de façon à réduire le débit. L'argument max (si positif) définit le nombre maximum de trames consécutives qui peuvent être sautées, ou (si négatif) l'interval minimum entre les trames sautées. Une frame peut être sautée si aucune région 8x8 ne différe de plus de la limite de haut, et si pas plus d'une portion de frac (1 signifiant l'image entière) ne diffère de plus que la limite de bas. Les valeurs de haut et bas sont des blocs de 8x8 pixels et représentent les différences actuelles de pixels, donc une limite de 64 coresponds à 1 unité de différence pour chaque pixel, ou la même chose répartie différemment sur le bloc. L'utilisation principale de ce filtre est l'encodage à très bas débit (par ex. streaming sur modem bas-débit), mais il peut être utilisé en théorie pour réparer les films qui n'ont pas été retro-téléciné correctement.

dint[=sens:niveau]
    Détecte et saute la première des trames entrelacées du flux video. Les valeurs peuvent aller de 0.0 à 1.0 - la première (0.15 par défaut) est la différence entre les pixels voisins, la seconde (0.15 par défaut) est la partie de l'image qui devra être détectée comme entrelacée pour sauter la trame.

lavcdeint
    Utilise le filtre de desentrelacement de libavcodec.

kerndeint[=carte[:ordre[:seuil[:dureté[:deuxsens]]]]]
    désentrelaceur noyau de Donald Graft. Désentrelace des parties de la vidéo si un seuil configurable est dépassé. Paint en blanc les pixels qui dépassent le seui (par défaut: 0). Échange les champs si 1 (par défaut: 0). Seuil (par défaut 10). Autorise plus de dureté (sharpening) (par défaut: 0). Autorise la dureté (sharpening) dans les deux sens (par défaut: 0).

unsharp=l|cLxH:montant[:l|cLxH:montant]
    Masque unsharp / flou gaussien. Applique l'effet sur le composant luma Applique l'effet sur les composants chroma largeur et hauteur de la matrice, tailles impaires dans les deux directions (min = 3x3, max = 13x11 ou 11x13, généralement quelque chose entre 3x3 et 7x7) taux relatif de dureté / flou à ajouter à l'image (généralement quelque chose entre -1.5 et 1.5) <0: flou
    >0: dur

swapuv
    Echange les plans U & V.

il=[d|i][s][:[d|i][s]]
    (dés)entrelace les lignes. Le but de ce filtre est d'ajouter la possibilité de traiter le pré-champs d'images entrelacées sans les désentrelacer. Vous pouvez filtrer votre DVD entrelacé et le jouer sur la TV sans casser l'entrelacement. Pendant que le désentrelacement (avec le filtre de postprocessing) supprime le désentrelacement de façon permanente (en lissant la moyenne etc), le démultiplexage sépare la trame en 2 champs (appelé demi-images), de façon à ce que vous puissiez les traiter (filtrer) indépendemment et les re-multiplexer. désentrelace (en en plaçant une au dessus des autres) entrelace échange les champs (échange les lignes paires & impaires)

fil=[i|d]
    (des)entrelace les lignes. Ce filtre est très proche du filtre il mais bien plus rapide, son principal inconvénient est qu'il ne fonctionne pas toujours. Surtout si il est combiné avec d'autres filtres, il peut produire des images corrompues aléatoirement, donc soyez heureux si il fonctionne mais ne vous plaignez pas si il ne fonctionne pas avec votre combinaison de filtres. Désentrelace les champs, les plaçant cote-à-cote. Ré-entrelace les champs (inversant l'effet de fil=d).

field[=n]
    Extrait un seul champs d'une image entrelacée en utilisant un calcul large pour éviter de gaspiller le temps CPU. L'argument optionnel n spécifie si l'on doit extraire un champs pair ou impair (selon que n soit paire ou impaire).

detc[=var1=valeur1:var2=valeur2:...]
    Essaie d'inverser le processus de "telecine" pour retrouver un flux propre et non-entralaçé au débit du film. Ce filtre est toujours expérimental mais semble être utilisable. Soyez conscient qu'il n'y a absolument aucun usage de ce filtre à moins que vous ne voyez d'entrelacement pendant la lecture d'un film! Les arguments suivants (voir leur syntaxe plus bas) peuvent être utilisés pour contrôler son comportement: Définie le mode saut de trames. 0 (par défaut) signifie ne pas sauter de trames pour maintenir le débit de sortie. 1 signifie toujours sauter la trame si il n'y a pas eu de sauts ou d'assemblage telecine dans les 5 dernières trames. 2 signifie toujours maintenir le rapport exact 5:4 entre l'entrée et la sortie. NOTE: Utilisez le mode 1 avec MEncoder. Type d'analyse. Les valeurs disponibles sont 0 (motif fixé avec numéro de trame initiale spécifiée par fr=#) et 1 (recherche agressive du motif telecine). La valeur par défaut est 1. Définie le numéro de trame initiale de la séquence. 0-2 sont les trois trames progressives propre; 3 et 4 sont les deux trames entrelaçées. La valeur par défaut, -1, signifie "pas dans la séquence telecine". Le nombre spécifié ici est le type de la précédente trame imaginaire avant le début du film. Valeurs seuil à utiliser dans certains types.

ivtc[=1]
    filtre d'inversement expérimental "sans état". Plutôt que d'essayer de se bloquer sur un motif comme le fait le filtre detc, ivtc prends ces décisions indépendemment pour chaque trame. Cela donne de bien meilleurs résultats pour un matériel ayant subi de lourds changements après que telecine ait été appliqué, mais par contre il n'est pas aussi efficace pour les entrées avec beaucoup de bruit, comme par exemple la capture TV. Le paramètre optionnel (itvc=1) corresponds à l'option dr=1 du filtre detc, et devrait être utilisé avec MEncoder mais pas avec MPlayer. Comme pour detc, vous devez spécifier le débit de sortie correct (-ofps 23.976) en utilisant MEncoder.

pullupFiltre d'inversion de pulldown (telecine inversé) de troisième génération,
    capable de gérer du contenu composé de hard-telecine, 24 fps progressif, et 30 fps progressif. Le filtre pullup est conçu pour être plus robuste que detc ou ivtc, mais il est encore en developpement. Aucune option de configuration n'est encore disponible. Le moteur d'inversion de pulldown est conçu pour bénéficier des nouvelles fonctionnalités de MPlayer G2, l'implémentation actuelle de G1 est supposée servir principalement d'environnement de test. NOTE: Pour l'instant pullup ne peut pas se baser sur le débit de sortie, donc dans des séquences de 30 fps progressif, il sortira avec plus de 24 fps, ce qui veut dire que vous aurez des ennuis si vous l'utilisez avec mencoder -ofps 23.976.

filmdint[=options]
    Filtre telecine inversé, similaire au filtre pullup ci-dessus. Il est conçu pour gérer n'importe quel motif pulldown, encluant telecine soft et hard mélangés et un support limité pour les films qui sont ralantis ou accélérés pour la TV. Seul le plan luma est utilisé pour détecter les changements de trame. Si un champs n'a pas de corespondance, il est désentrelaçé par simple approximation linéaire. Si la source est en MPEG-2, libmpeg2 doit être utilisé pour le décodage (pas ffmpeg2 !), et ceci doit être le premier filtre à avoir accès aux flags field initialisés par le décodeur MPEG-2. Suivant la source mpeg, vous pouvez ne pas tenir compte de ce conseil, du moment que vous ne voyez pas plein de warnings "Bottom-first field". Sans options il fait un telecine inverse normal, et devrait être utilisé avec mencoder -fps 29.97 -ofps 23.976. Quand ce filtre est utilisé avec mplayer, cela produira un débit impaire pendant la lecture, mais cela cera certainement meilleur qu'en utilisant pp=lb ou pas de désentrelacement du tout. Les options multiples doivent être séparées par /. Exactement comme le filtre crop, mais plus rapide, et fonctionne également sur du contenu teleciné hard et soft mélangés du moment que y soit un multiple de 4. Si x ou y nécessitaient de couper des pixels fractionnels du plan chroma, l'aire coupé serait étendu. Ceci signifie généralement que x et y doivent être pairs. Pour ifps trames d'entrées le filtre sortira ofps trames. Le rapport ifps/ofps devrait correspondre au rapport -fps/-ofps. Ceci peut être utilisé pour filtrer des films qui sont diffusés à la TV à un débit différent de celui d'origine. Si n est non-nul, le plan chroma est copié tel quel. C'est utile pour la TV échantillonée en YV12, qui annule un des champs chroma. Sur x86, si n=1, utilise les fonctions optimisées pour MMX2, si n=2, utilise les fonctions optimisées pour 3DNow!, sinon, utilise juste du C. Si cette option n'est pas précisée, MMX2 et 3DNow! sont détectés automatiquement, utilisez cette option pour outrepasser la détection automatique. Une valeur de n plus grande accélère le filtre au détriment de l'exactitude. La valeur par défaut est n=3. Si n est impaire, une trame suivant immédiatement une trame marquée par le flag mpeg REPEAT_FIRST_FIELD est supposée progressive, ainsi le filtre ne passera son temps sur le contenu MPEG-2 soft-telecine. C'est le seul effet de ce flag si MMX2 ou 3DNow! est disponible. Sans MMX2 et 3DNow, si n=0 ou 1, les mêmes calculs seront faits comme pour MMX2. Si n=2 ou 3, le nombre de niveaux luma utilisé pour trouver les changements de trame est réduit de 256 à 128, ce qui donne un filtre plus rapide sans perdre trop d'exactitude. Si n=4 ou 5, des métriques plus rapides, mais bien moins exactes sont utilisés, ce qui risque de mal détecter les détails verticaux d'un contenu entrelaçé. Si n est non-nul, affiche les métriques détaillés pour chaque trame. Utile pour déboguage. Seuil de désentrelacement. Utilisé pour désentrelacer les trames sans correspondance. De plus grande valeurs signifient moins de désentrelacement, utilisez n=256 pour désactiver complétement le désentrelacement. La valeur par défaut est n=8. Seuil pour comparer les champs haut et bas. Seuil à 128. Seuil pour détecter les changements temporels d'un champs. La valeur par défaut est 128. Somme des Différences Absolues du seuil, par défaut 64.

softpulldown
    Ce filtre ne fonctionne qu'avec MEncoder et agit sur les flags MPEG2 utilisés pour le pulldown soft 3:2 (soft telecine). Si vous voulez utiliser les filtres ivtc ou detc sur des films qui sont soft téléciné, insérer ce filtre avant eux devrait les rendre plus efficaces. Actuellement seule libmpeg2 exporte les flags nécessaires. Si utilisé sur du matériel qui ne les initialise pas ou si utilisé avec ffmpeg12, le filtre ne fait rien.

telecine[=départ]
    Applique un processus telecine 3:2 "telecine" pour augmenter le débit de 20%. Cela ne fonctionnera surement pas correctement avec MPlayer, mais peut être utilisé avec 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Les deux options fps sont essentielles ! (la synchro A/V sera brisée si elles sont mauvaises.) Le paramètre optionnel départ indique où démarrer (0-3).

tinterlace[=mode]
    Entrelacement temporel de champs - réunis des paires de trames dans une trame entrelacée, divisant le debit par deux. Les trames paires sont déplacées dans le champ supérieur, les trames impaires le sont dans le champ inférieur. Ceci peut être utilisé pour inverser complètement les effets du filtre tfields (en mode 0). Les modes disponibles sont: trames impaires dans le champs supérieur, paires dans l'inférieur, pour générer un trame de pleine taille à débit moitié moindre afficher uniquement les trames impaires, les trames paires sont sautées, la taille est inchangée afficher uniquement les trames paires, les trames paires sont sautées, la taille est inchangée étends chaque trame en pleine taille, mais remplit altérnativement les lignes de noir, le débit est inchangé

tfields[=mode]
    Séparation temporelle des champs - sépare les champs en trames, doublant le débit de sortie. Comme le filtre telecine, "tfields" ne fonctionnera correctement qu'avec MEncoder, et seulement si -fps et -ofps sont définis au débit (double) désiré! Les modes disponibles sont: laisse les champs inchangés (cela va sauter/scintiller) fait une interpolation des lignes manquantes (l'algorithme utilisé peut ne pas être si bon) fait une translation de champs de 1/4 pixel avec interp linéaire (pas de saut) fait une translation de champs de 1/4 pixel avec le filtre 4tap (meilleur qualité)

boxblur=rayon:puissance[:rayon:puissance]
    flou boite taille du filtre À quelle fréquence le filtre devrait être appliqué.

sab=rad:pf:colorDiff[:rad:pf:colorDiff]
    flou adapté aux formes force du filtre de flou (~0.1-4.0) (le plus bas est le plus large) force du préfiltre (~0.1-2.0) différence autorisée des pixels. (~0.1-100.0)

smartblur=rad:strength:thresh[:rad:strength:thresh]
    flou smart force du filtre de flou (~0.1-5.0) (le plus bas est le plus large) flou (0.0-1.0) ou accentuation (-1.0-0.0) filtre tout (0), filtre les surfaces plates (0-30) ou filtre les bords (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    correction de perspective coordonnées des coins supérieur-gauche, supérieur-droit, inférieur-gauche et inférieur-droit ré-échantillonnage linéaire (0) ou cubique (1)

2xsai
    Utilise le zoom x2 et l'algorithme d'interpolation pour dimensionner et lisser les images.

1bpp
    conversion bitmap 1bpp vers YUV/BGR 8/15/16/32

down3dright[=lignes]
    Repositionne et redimmensionne les images stéréoscopiques. Extrait les deux champs et les place côte à côte, les redimmensionnant pour garder l'aspect du film. nombre de lignes à sélectionner à partir du milieu de l'image (par défault: 12)

bmovl=hidden:opaque:<fifo>
    Lit les bitmaps depuis un FIFO et les affiche dans une fenêtre. définie la valeur par défaut de l'option 'hidden' (booléen) option changeant de mode entre alphablended (transparent) et opaque (rapide) chemin/nom de fichier pour le FIFO (pipe nommé connectant mplayer -vf bmovl à l'application le contrôlant)
    les commandes FIFO sont:
suivi de largeur*hauteur*4 octets de données RGBA32 brutes. suivi de largeur*hauteur*4 octets de données ABGR32 brutes. suivi de largeur*hauteur*3 octets de données RGB32 brutes. suivi de largeur*hauteur*3 octets de données BGR32 brutes. change l'alpha de la surface efface la surface désactive toute transparence alpha. Envoyez "ALPHA 0 0 0 0 0" pour la réactiver. cache la bitmap montre la bitmap
    Les arguments sont:
taille de l'image/surface démarre le blitting à la position X/Y fixe la différence alpha. Si vous le fixez à -255 vous pouvez envoyer une séquence de commandes ALPHA pour fixer la surface à -225, -200, -175 etc pour un joli effet de fondu ! ;) 0: la même que l'original
255: rends tout opaque
-255: rends tout transparent efface le framebuffer avant blitting. 0: l'image sera simplement blittée par dessus l'ancienne, donc vous n'aurez pas à envoyer 1,8 Mo de données RGBA32 chaque fois qu'une petite partie de l'écran est mise à jour.
1: clear

framestep=I|[i]step
    N'affiche que toutes les n trames ou que chaque trame (clé) Intra. Si vous appelez ce filtre avec I (en majuscule) en paramètre, alors SEULES les trames-clé seront affichées. Pour les DVDs cela signifie une toute les 15/12 trames (IBBPBBPBBPBBPBB), pour l'AVI cela signifie à chaque changement de scène ou à chaque valeur de keyint (voir -lavcopts keyint=valeur si vous utilisez MEncoder pour encoder la vidéo). Quand une trame clé est trouvée, la chaine "I!" suivi d'un retour chariot est affiché, laissant la ligne courante de MPlayer/MEncoder sur l'écran, car elle contient le temps (en secondes) et le numéro de trame de la trame clé (Vous pouvez utiliser cette information pour diviser l'AVI). Si vous appelez le filtre avec un paramètre numérique 'step' alors seule une sur 'step' trames sera affichée. Si vous mettez un 'i' (minuscule) devant le nombre alors un I! sera affiché (comme le paramètre I). Si vous n'indiquez que i alors rien ne sera fait aux trames, seul I! est affiché.

tile=xtile:ytile:output:start:delta
    Crée un mosaïque d'images à partir d'une série d'images plus petites. Si vous ommétez un paramètre ou utilisez une valeur plus petite que 0, alors la valeur par défaut est utilisée. Vous pouvez également arréter quand c'est bon (... -vf tile=10:5 ...) C'est probablement une bonne idée de placer le filtre scale avant tile :-)
    Les paramètres sont: nombre de tuiles sur l'axe x (par défaut: 5) nombre de tuiles sur l'axe y (par défaut: 5) Affiche la tuile quand le nombre de trame est égal à 'output', où 'output' doit être un nombre inférieur à xtile * ytile. Les tuiles manquantes sont laissées vides. Vous pouvez, par exemple, écrire une tuile de 8 * 7 toutes les 50 trames pour obtenir une image toutes les 2 secondes à 25 fps. pixel au départ (x/y) (par défaut: 2) pixels entre 2 tuiles, (x/y) (par défaut: 4)

delogo[=x:y:l:h:t]
    Supprime un logo de station de télé par simple interpolation des pixels environants. Définissez juste un rectangle recouvrant le logo et regardez-le disparaître (et parfois quelque chose d'encore pire apparaître - les résultats peuvent varier). Position du coin supérieur gauche du logo. Largeur et hauteur du rectangle nettoyé. Duretée des bords du rectangle (ajouté à l et h). Quand mis à -1, un rectangle vert est dessiné sur l'écran pour simplifier la recherche des paramètres x,y,l,h.

zrmjpeg[=options]
    Encodeur logiciel YV12 vers MJPEG pour utilisation avec le périphérique zr2. Ces options initialisent les largeur et hauteur maximum que la carte zr peut gérer. (la couche de filtres de MPlayer ne peut actuellement pas les deviner) Utilisez ces options pour initialiser maxwidth et maxheight automatiquement avec les valeurs connues de combinaisons carte/mode. Par exemple, voici des options valides: dc10-PAL et buz-NTSC (par défaut:
     dc10+PAL). Sélectionne l'encodage couleur ou noir et blanc. L'encodage N&B est plus rapide. L'encodage couleur est utilisé par défaut. Décimation horizontale 1, 2 ou 4. Décimation verticale 1, 2 ou 4. Définie la qualité de la compression JPEG [MEILLEUR] 1 - 20 [TRÈS MAUVAIS]. Par défaut, la décimation n'est appliquée que si le matériel zoran peut agrandir les images MJPEG à leur taille originale. L'option fd dit au filtre de toujours appliquer la décimation demandée (sale).

PILOTES DE SORTIE VIDÉO (MPLAYER UNIQUEMENT)
Les pilotes de sortie vidéo sont des interfaces pour accéder aux fonctions de sortie. La syntaxe est:

-vo <pilote1[:option],pilote2,...[,]>
    Spécifie une liste des priorités pour les pilotes de sortie à utiliser.

Si la liste ce termine par ';' les autres pilotes seront essayés en cas d'échec. Les sous-options sont optionnelles et peuvent être omises pour la plupart.
NOTE: Voir -vo help pour la liste des pilotes incorporés. EXEMPLE: Essaie le pilote noyau Matrox, puis le pilote Xv, puis les autres.
Utilise le pilote DirectX en désactivant les fonctions d'accélération.
Les pilotes de sortie disponibles sont:

xv (X11 uniquement)
    Utilise l'extension XVideo de XFree86 4.x pour permettre la lecture avec accélération matérielle. Si vous ne pouvez pas utiliser un pilote spécifique a votre matériel, ceci est probablement la meilleur option. Sélectionne un port XVideo spécifique.

x11 (X11 uniquement)
    Pilote de sortie en mémoire partagée sans accélération matérielle qui fonctionne dès que X11 est présent.

xover (X11 uniquement)
    Ajoute le support X11 à tous les pilotes de sortie vidéo basés sur l'overlay. Actuellement uniquement utilisé par tdfx_vid.

xvmc (X11 uniquement)
    Ce pilote emploie l'extension XvMC (X Video Motion Compensation) de XFree86 4.x.

dga (X11 uniquement)
    Sortie vidéo par l'extension Direct Graphics Access de XFree86. Considéré comme obsolète.

sdl Pilote de sortie de la librairie multi-plateforme SDL (Simple Directmedia Layer).

vidix
    VIDIX (VIDeo Interface for *niX) est une interface pour les fonctionnalités d'accélération vido des différentes cartes graphiques. Pilote de sortie vidéo très rapide sur les cartes le supportant.

xvidix (X11 uniquement)
    VIDIX tournant sous X11.

cvidix
    VIDIX tournant dans une console.

winvidix (Windows uniquement)
    Version Windows du pilote VIDIX.

directx (Windows uniquement)
    Pilote de sortie qui utilise l'interface DirectX. Désactive l'accélération matérielle. Essayez cette option si vous avez des problèmes d'affichage.

quartz (Mac OS X uniquement)
    Pilote de sortie Quartz pour Mac OS X. Dans certain cas, il est préférable de forcer le format YUV avec e.g. -vf format=yuy2 Choisir le moniteur à utiliser en plein écran.

fbdev (Linux uniquement)
    Utilise le framebuffer du noyau pour la sortie vidéo.

fbdev2 (Linux uniquement)
    Utilise le framebuffer du noyau pour la sortie vidéo, implémentation différente.

vesa
    Pilote de sortie générique qui devrait fonctionner sur n'imorte quelle carte compatible VESA VBE 2.0. Active le mode DGA. Désactive le mode DGA. FIXME: documenter cela FIXME: documenter cela

svga
    Sortie vidéo en utilisant la librairie SVGA.

gl  Pilote de sortie OpenGL.

gl2 Pilote de sortie OpenGL, seconde génération.

null
    Pas de sortie vidéo. Utile pour les benchmarks.

aa  Pilote de sortie art ASCII qui fonctionne dans une console texte.

bl  Lecture vidéo en utilisant le protocole UDP Blinkenlights. Ce pilote est hautement spécifique à certains matériels.

ggi Pilote de sortie pour le système graphique GGI.

directfb
    Joue la vidéo en utilisant la librairie DirectFB. Selectionne une couche.

directfb2
    Joue la vidéo en utilisant la librairie DirectFB, seconde génération.

dfbmga
    Pilote de sortie spécifique Matrox G400/G450/G550 utilisant la librairie DirectFB. Active CRTC2 (seconde tête), affichant la vidéo indépendemment de la première tête.

mga (Linux uniquement)
    Pilote de sortie spécifique Matrox qui utilise le YUV back end scaler sur les cartes Gxxx au moyen d'un module noyau. Si vous avez une carte Matrox, c'est l'option la plus rapide.

xmga (Linux, X11 uniquement)
    Le pilote de sortie MGA, tournant dans une fenêtre X11.

syncfb
    Pilote de sortie vidéo du module noyau SyncFB, qui permet de gérer les capacités matérielles des cartes Matrox Gxxx comme le désentrelacement matériel, ou le redimensionnement et la synchronisation de votre sortie vidéo avec la fréquence de rafraichissement verticale de votre moniteur.

3dfx (Linux uniquement)
    Ce pilote utilise le pilote framebuffer tdfx pour jouer les films avec accélération YUV.

tdfx_vid (Linux uniquement)
    Pilote de sortie spécifique 3Dfx. Fonctionne en conjonction avec un module noyau.

dxr2
    Pilote de sortie spécifique DXR2. Voir aussi l'option -dxr2. Active l'overlay. Active l'overlay.

dxr3
    Pilote de sortie spécifique pour le chipset de décodage MPEG Sigma Designs em8300 (Creative DXR3, Sigma Designs Hollywood Plus). Voir aussi le filtre vidéo lavc. Active l'overlay au lieu de TVOut. Active le pré-buffering. Active le nouveau moteur de synchro. Spécifie la norme TV. 0: Ne change pas la norme actuelle (par défaut).
    1: Ajuste automatiquement en utilisant PAL/NTSC.
    2: Ajuste automatiquement en utilisant PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Spécifie le numéro de périphérique à utiliser si vous avez plus d'une carte em8300.

mpegpes
    Pilote de sortie spécifique DVB.

zr  Pilote de sortie pour un certain nombre de cartes de capture/lecture MJPEG. Voir également les options -zr* et -zrhelp.

zr2 Pilote de sortie pour un certain nombre de cartes de capture/lecture MJPEG, seconde génération. Voir aussi le filtre vidéo zrmjpeg.

md5 Ecrit la somme md5 (md5sums) de chaque trame dans un fichier nommé 'md5' dans le répertoire courant. Utile pour débogage. Useful for debugging.

yuv4mpeg
    Transforme le flux vidéo en une séquence d'images YUV 4:2:0 et les stocke dans un fichier nommé 'stream.yuv' dans le répertoire courant. Utile si vous voulez traiter la vidéo avec la suite mjpegtools.

gif89a
    sépare chaque trame dans un fichier GIF du réperoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros.

jpeg
    sépare chaque trame dans un fichier JPEG du réperoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros.

pgm   sépare chaque trame dans un fichier PGM du réperoire courant.
    Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros.

png sépare chaque trame dans un fichier PNG du réperoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros.

tga sépare chaque trame dans un fichier Targa du réperoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros.

OPTIONS GÉNÉRALES D'ENCODAGE (MENCODER UNIQUEMENT)

-audio-delay <0.0-...>
    Initialise le champs de décalage audio dans l'entête. La valeur par défaut est 0.0, les valeurs négatives ne fonctionnent pas. Cela ne décale pas l'audio pendant l'encodage, mais le lecteur verra le décalage audio par défaut, vous évitant l'utilisation de l'option -delay.

-audio-density <1-50>
    Nombre de morceaux audio par seconde (la valeur par défaut est 2 pour des morceaux audio de 0.5s de long).
    NOTE: CBR uniquement, VBR l'ignore car il place chaque paquet dans un nouveau morceau.

-audio-preload <0.0-2.0>
    Initialise l'intervalle de mémoire tampon (0.5s par défaut).

-endpos <[[hh:]mm:]ss[.ms]|taille[o|ko|mo]> (voir les options -ss et -sb
    également) Stoppe l'encodage à la position temps ou octet indiquée. Peut être spécifié de plusieurs façons:
    NOTE: La position en octet ne sera pas approprié, car on ne peut s'arrêter qu'à une limite de trame. EXEMPLE: n'encode que 56 secondes n'encode que 1 heure 10 minutes n'encode que 100 Mo

-ffourcc <fourcc>
    Peut être utilisé pour outrepasser le fourcc vidéo du fichier de destination. EXEMPLE: le fichier de destination contiendra 'div3' en tant que fourcc vidéo.

-include <fichier de configuration>
    Spécifie le fichier de configuration à analyser après ceux par défaut.

-info <option1:option2:...> (AVI uniquement)
    Spécifie l'entête d'info dans le fichier AVI de destination.
    Les options disponibles sont: affiche cette description titre du sujet du fichier artiste ou auteur du sujet original du fichier catégorie de travail originale contenu du fichier information de copyright du fichier forme originale du matériel qui a été numérisé commentaires généraux sur le fichier ou le sujet du fichier

-noautoexpand
    N'insère pas automatiquement le filtre expand dans la chaine de filtres de MEncoder. Utile pour contrôler à quel point de la chaine de filtre les sous-titres sont affichés durant leur insertion en dur dans le film.

-noskip
    Ne saute pas de trames.

-o <nomfichier>
    Envoie dans le nom fichier indiqué, au lieu de 'test.avi' par défaut.

-oac <nom codec>
    Encode avec le codec audio. Utilisez -ovc help pour obtenir une liste des codecs disponibles. (pas de valeur par défaut) EXEMPLE: pas d'encodage, juste une copie du flux encode en PCM non-compressé encode en MP3 (en utilisant Lame) encode avec un des codecs de libavcodec

-of <format> (CODE BETA!)
    Encode dans le format spécifié. Utilisez -of help pour obtenir une liste des formats disponibles. EXEMPLE: encode en avi (par défaut) encode en mpeg

-ofps <fps>
    Le fichier de destination a un rapport trame/sec différent du fichier source. Vous DEVEZ l'initialiser pour les fichiers à fps variables (asf, quelques mov) et progressifs (mpeg telecine à 29.97fps).

-ovc <nom codec>
    Encode avec le codec vidéo indiqué. Utilisez -ovc help pour avoir une liste des codecs disponibles. (pas de valeur par défaut) EXEMPLE: pas d'encodage, juste une copie du flux encode en DivX4/DivX5 ou XviD encode en RGB24 non-compressé encode en YUV non-compressé (I420) encode avec un codec libavcodec

-passlogfile <nomfichier>
    Pendant l'encodage en mode 2passes, MEncoder envoie les informations de la première passe dans le fichier indiqué au lieu de l'envoyer dans divx2pass.log.

-skiplimit <valeur>
    Nombre maximal de trames sautables après une non-sautée (-noskiplimit pour un nombre illimité).

-v, -verbose
    Active le mode verbeux (plus de -v signifie plus de verbosité). uniquement quelques sorties informelles (par défaut) quelques infos basiques de débogage, entête avi, valeurs des fonctions (débogage de l'initialisation) affiche les indexes avi, entrées de tronquage, plus d'infos de débogage (débogage du lecteur) affiche tout ce qui est relatif aux parseurs d'entrée (déboguage des parsers)

-vobsubout <nomdebase>
    Spécifie le nomdebase pour les fichiers .idx et .sub de destination. Cela désactive le rendu des sous-titres dans le film encodé et le redirige vers les fichiers de sous-titre Vobsub.

-vobsuboutindex <index>
    Spécifie l'index des sous-titres dans les fichiers de sortie. (par défaut: 0)

-vobsuboutid <langid>
    Spécifie la le code de langue à deux lettres pour les sous-titres. Ceci outrepasse ce qui est lu depuis le DVD ou le fichier .ifo.

-vobsuboutindex <index>
    Spécifie l'index des sous-titres dans le fichiers de sortie. (par défaut: 0)

OPTIONS D'ENCODAGE SPÉCIFIQUES AUX CODECS (MENCODER UNIQUEMENT)
Vous pouvez spécifier les options d'encodage spécifiques aux codecs en utilisant la syntaxe suivante:

-<codec>opts <option1[=valeur],option2,...>

Où <codec> peut être: lavc, xvidenc, divx4, lame

  divx4 (-divx4opts)
divx4 est obsolète est n'est supporté que pour l'exhaustivité. Pour avoir des détails sur les options divx4, lisez les sources, la plupart des options ne sont pas documentées ici.

help
    obtenir l'aide

br=<valeur>
    spécifie le bitrate (en kbits) (en bits)

key=<valeur>
    intervalle maximal entre deux trames-clé (en trames)

deinterlace
    active le désentrelacement (évitez de l'utiliser, DivX4 est boggué)

q=<1-5>
    qualité (1-plus rapide, 5-meilleur)

min_quant=<1-31>
    quantizer minimal

max_quant=<1-31>
    quantizer maximal

rc_period=<valeur>
    période de contrôle du débit

rc_reaction_period=<valeur>
    période de réaction de contrôle du débit

rc_reaction_ratio=<valeur>
    rapport de réaction de contrôle du débit

crispness=<0-100>
    spécifie la dureté/douceur

pass=<1-2>
    Avec ça vous pouvez encoder des fichiers DivX4 2passes. D'abord encodez avec pass=1, puis avec les mêmes paramètres encodez avec pass=2.

vbrpass=<0-2>
    Outrepasse l'argument -pass et utilise la librairie VBR XviD au lieu du VBR DivX4. Les options par défaut sont: encodage une passe (comme en ne mettant pas -pass en ligne de commande) (Première) passe d'analyse de l'encodage deux passes. Le fichier AVI de destination peut être dirigé vers /dev/null. (Seconde) passe finale de l'encodage deux passes.

  lame (-lameopts)

help
    afficher l'aide

vbr=<0-4>
    méthode variable bitrate cbr mt rh (par défaut) abr mtrh

abr bitrate moyen

cbr constant bitrate.
    Force également l'encodage en mode CBR sur les modes ABR sélectionnés suivant

br=<0-1024>
    spécifie le bitrate en kBit (CBR et ABR uniquement)

q=<0-9>
    qualité (0-plus haut, 9-plus bas) (uniquement pour VBR)

aq=<0-9>
    qualité algorithmique (0-meilleur/plus lent, 9-pire/plus rapide)

ratio=<1-100>
    rapport de compression

vol=<0-10>
    fixer le gain d'entrée audio

mode=<0-3>
    (par défaut: auto) stéréo joint-stereo dualchannel mono

padding=<0-2>
    non tous ajuste

fast  passe au mode VBR pré-sélectionné suivant, plus rapide que l'actuel, qualité
    légèrement inférieure et bitrates plus hauts.

highpassfreq=<fréq>
    Fixe la fréquence du filtre passe-haut en Hz. Les fréquences en dessous de celle spécifiée seront coupées. Une valeur de -1 désactivera le filtrage, une valeur de 0 laissera lame choisir la valeur automatiquement.

lowpassfreq=<fréq>
    Fixe la fréquence du filtre passe-bas en Hz. Les fréquences au dessus de celle spécifiée seront coupées. Une valeur de -1 désactivera le filtrage, une valeur de 0 laissera lame choisir la valeur automatiquement.

preset=<valeur>
    valeurs de preset encodage VBR, bonne qualité, intervalle bitrate 150-180 kbps. encodage VBR, haute qualité, intervalle bitrate 170-210 kbps. encodage VBR, très haute qualité, intervalle bitrate 200-240 kbps. encodage CBR, plus haute qualité pré-sélectionnée, bitrate 320 kbps. encodage ABR au bitrate moyen indiqué.
    EXEMPLE:
pour la plupart des gens et la plupart des musiques et déjà de très haute qualité. encode avec les présélections ABR à un bitrate constant forcé à 192 kbps. encode avec les présélections ABR à un bitrate moyen de 172 kbps. pour les gens avec une oreille extrêmement bonne et un équipement en rapport. affiche les options supplémentaires et des informations sur les paramètres pré-sélectionnés.

  lavc (-lavcopts)
De nombreuses options de lavc sont très spécialisées et pauvrement documentées. Pour avoir tous les détails lisez le source. EXEMPLE:

acodec=<value>
    Codec audio (par défaut: mp2): MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bits par échantillon, compression 4:1)

abitrate=<valeur>
    Débit audio en kBit (224 par défaut).

atag=<valeur>
    Utilise le tag Windows audio spécifié (par ex. atag=0x55).

bit_exact
    Utilise uniquement les algorithmes à bit exact (excepté (i)dct). Cela supprime également l'entête user-data des flux MPEG-4 (cette section peut être utilisée par certains lecteur comme Quicktime player d'Apple pour déclarer le flux corompu).

vcodec=<valeur>
    utilise le codec indiqué (par défaut: mpeg4): Motion JPEG Lossless JPEG H263 H263 Plus DivX 4/5 DivX 3 MS MPEG4v2 Windows Media Video 7 (alias WMV7) Windows Media Video 8 (alias WMV8) un ancien codec RealVideo MPEG1 video MPEG2 video HuffYUV ASUS Video v1 ASUS Video v2 codec vidéo sans perte de FFmpeg

vqmin=<1-31>
    minimum quantizer (passe 1/2) Non recommandé (fichier bien plus gros, petite différence de qualité et mauvais effets secondaires: msmpeg4, h263 seront de mauvaise qualité, le contrôle du débit sera perdu entrainant une mauvaise qualité et certains décodeurs seront incapables de le décoder). Recommandé pour l'encodage normal mpeg4/mpeg1video (par défaut). Recommandé pour h263(p)/msmpeg4. La raison de préférer 3 à 2 est que 2 peut conduire à des dépassements (ceci sera corrigé pour h263(p) en changeant les quantizer par BM dans le futur, msmpeg4 ne peut être corrigé car il ne supporte pas cela).

lmin=<0.01-255.0>
    Multiplicateur de lagrange minimum pour le contrôle de débit, vous le voudrez probablement égal ou inférieur à vqmin. (par défaut: 2.0)

lmax=<0.01-255.0>
    Multiplicateur de lagrange maximum pour le contrôle de débit. (par défault: 31.0)

vqscale=<1-31>
    constant quantizer / qualité d'encodage constante (sélectionne le mode quantizer fixe). Une valeur basse signifie une meilleur qualité mais de gros fichiers (par défaut: 0 (désactivé)). 1 n'est pas recommandé (voir -vqmin pour plus de détails).

vqmax=<1-31>
    maximum quantizer (passe 1/2) 10-31 devrait être un intervalle raisonable (par défaut: 31)

mbqmin=<1-31>
    minimum macroblock quantizer (passe 1/2) (par défaut: 2)

mbqmax=<1-31>
    maximum macroblock quantizer (passe 1/2) (par défaut: 31)

vqdiff=<1-31>
    maximum quantizer entre les trames I ou P (passe 1/2) (par défaut: 3)

vmax_b_frames=<0-4>
    nombre maximum de trames B entre les trames non B: pas de trames B (par défaut) intervalle sensé pour MPEG4

vme=<0-5>
    méthode d'estimation du mouvement. NOTE: 0-3 pour l'instant ignorent le montant de Bits utilisés, donc la qualité peut être mauvaise. Les méthodes disponibles sont: aucune (qualité très basse) pleine (lent) log (mauvaise qualité) phods (mauvaise qualité) EPZS (par défaut) X1 (expérimental)

me_range=<0-9999>
    intervalle de recherche de l'estimation de mouvement, la valeur par défaut 0 signifie illimité.

mbd=<0-2>
    Macroblock decision algorithm (mode haute qualité), encode chaque bloc macro dans tous les modes et choisi le meilleur. C'est lent mais donne de meilleurs qualité et taille de fichier. utilise mbcmp (par défaut) sélectionne le mode MB qui requiert le moins de bits (=vhq) sélectionne le mode MB qui à la meilleure distortion de débit

vhq Identique à mbd=1, gardé pour raisons de compatibilité.

v4mv
    Permet 4 vecteurs de mouvement par macrobloc (qualité légèrement meilleure). (par défaut: désactivé)

obmc  Compensation de bloc de mouvement (H263+)

loop  Filtre loop (H263+)
    note: c'est actuellement cassé

inter_threshold <-1000-1000>
    Ne fait absolument rien pour l'instant.

keyint=<0-300>
    intervalle entre les trames-clé en trames. Les trames-clé sont nécessaires pour les déplacement puisque celui-ci n'est possible que vers une trame-clé, mais les trames-clé ont besoin de plus d'espace que les autres trames donc de plus grands nombres ici signifient fichiers légèrement plus petits, mais déplacement plus précis, 0 signifie pas de trame-clé. Les valeurs >300 ne sont pas recommandées car la qualité peut être mauvaise suivant le décodeur, l'encodeur et la chance. Pour une conformité stricte MPEG1/2/4 cela devrait être <=132. (par défaut: 250 ou une trame-clé toutes les dix secondes dans un film à 25fps)

sc_threshold=<-1000000-1000000>
    Seuil pour la détection des changements de scène. Libavcodec ajoute une trame-clé quand elle détecte un changement de scène. Vous pouvez spécifier la sensibilité de la détection avec cette option. -1000000 signifie qu'il y aura un changement détecté à chaque trame, 1000000 signifie qu'aucun changement de scène ne sera détecté (0 par défaut).

vb_strategy=<0-1>
    stratégie à choisir entre les trames I/P/B (passe 2): toujours utiliser le nombre maximum de trames B (par défaut) éviter les trames B dans les scènes avec beaucoup de mouvement (prédictions incorrectes du bitrate)

vpass=<1-2>
    Active le mode 2passes interne, ne le spécifiez que si vous désirez utiliser l'encodage deux passes (par défaut: désactivé): première passe seconde passe
    huffyuv:
sauve les statistiques encode avec une table Huffman optimisée d'après les statistiques de la passe 1.

aspect=<x/y>
    Stocke l'aspect du film en interne, tout comme les fichiers MPEG. Bien meilleur solution que le redimensionnement, car la qualité n'en est pas diminuée. Seul MPlayer sera capable de relire ces fichiers correctement, les autres lecteurs l'afficheront avec un mauvais aspect. Le paramètre d'aspect peut être donné en tant que ratio ou nombre à virgule.
    EXEMPLE:

autoaspect
    Même chose que l'option aspect, mais calcule automatiquement l'aspect, en prenant en compte tous les ajustements (crop/expand/scale/etc.) faits dans la chaine de filtres.

vbitrate=<valeur>
    spécifie le bitrate (passe 1/2). Attention: 1kBit = 1000 Bits. (en kbits) (en bits) valeur par défaut

vratetol=<valeur>
    tolérance approximative de taille du fichier en kbit. 1000-100000 est un intervalle raisonable. (Attention: 1kBit = 1000 Bits) (par défaut: 8000)

vrc_maxrate=<valeur>
    bitrate maximum en kbit/sec (passe 1/2)

vrc_minrate=<valeur>
    bitrate minimum en kbit/sec (passe 1/2)

vrc_buf_size=<valeur>
    taille du tampon en kbit (passe 1/2). Pour MPEG1/2 cela fixe également la taille du tampon vbv, utilisez 327 pour un VCD, 917 pour un SVCD et 1835 pour un DVD. NOTE: vratetol ne devrait pas être trop grand durant la seconde passe ou il pourrait y avoir des problèmes si vrc_(min|max)rate est utilisé.

vrc_buf_aggressivity
    acuellement inutile

vrc_strategy
    Inutilisé, réservé pour utilisation future.

vb_qfactor=<-31.0-31.0>
    facteur quantizer entre les trames B et non B (passe 1/2) (par défaut: 1.25)

vi_qfactor=<-31.0-31.0>
    (passe 1/2) (par défaut: 0.8)

vb_qoffset=<-31.0-31.0>
    offset quantizer entre les trames B et non B (passe 1/2) (par défaut: 1.25)

vi_qoffset=<-31.0-31.0>
    (passe 1/2) (par défaut: 0.0)
    si v{b|i}_qfactor > 0
    I/quantizer Trame-B = quantizer Trame-P * v{b|i}_qfactor + v{b|i}_qoffset
    sinon
    procède à un contrôle de débit normal (ne verrouille pas le prochain quantizer trame P) et initialise q= -q * v{b|i}_qfactor + v{b|i}_qoffset

Astuce: Pour faire de l'encodage avec quantizer constant avec des quantizers
    différents pour les trames I/P et B vous pouvez utiliser: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>

vqblur=<0.0-1.0> (passe1)
    Flou quantizer, des valeurs plus importantes provoqueront plus de moyennes dans le temps (variations plus basses). qblur désactivé (par défaut) fais une moyenne du quantizer sur toutes les trames précédentes

vqblur=<0.0-99.0> (passe2)
    Flou gaussien quantizer, de plus grandes valeurs provoqueront plus de moyennes dans le temps (variations plus basses) (par défaut: 0.5)

vqcomp=<valeur>
    compression quantizer, dépends de vrc_eq (passe 1/2) (par défaut: 0.5)

vrc_eq=<équation>
    équation principale de contrôle de débit (passe 1/2):
constant bitrate qualité constante approximativement l'équation de l'ancien code de contrôle de débit avec qcomp 0.5 ou quelque chose comme ça (par défaut)

    infix operators: +,-,*,/,^

    variables:
complexité texture complexité texture intra, non intra complexité texture moyenne complexité texture intra dans les trames I complexité texture intra dans les trames P complexité texture non intra dans les trames P complexité texture non intra dans les trames B Bits utilisés pour les vecteurs de mouvement longueur maximum des vecteurs de mouvement en zoom log2 nombre d'intra blocs macro / nombre de blocs macro complexité spatiale complexité temporelle qcomp depuis la ligne de commande 1 si le type d'image est I/P/B sinon 0 voir votre livre de math favori

    fonctions:
maximum / minimum est égal à 1 si a>b, 0 sinon est égal à 1 si a<b, 0 sinon est égal à 1 si a==b, 0 sinon

vrc_override=<options>
    Qualité définie par l'utilisateur pour les parties spécifiques (fin, remerciements, ..) (passe 1/2). Les options sont <start-frame, end-frame, quality[/start-frame, end-frame, quality[/...]]>: quantizer correction qualité en %

vrc_init_cplx=<0-1000>
    complexité initiale (passe 1)

vqsquish=<0,1>
    spécifie comment garder le quantizer entre qmin et qmax (passe 1/2): utilise le clipping utilise une bonne fonction différentiable (par défaut)

vlelim=<-1000-1000>
    simple coefficient de seuil d'élimination pour la luminance. Des valeurs négatives prendront aussi en compte le coefficient dc (qui devrait être au moins -4 ou plus bas pour l'encodage à quant=1): désactivé (par défaut) (recommandation JVT)

simple coefficient de seuil d'élimination pour la chrominance.
    Des valeurs négatives prendront aussi en compte le coefficient dc (qui devrait être au moins -4 ou plus bas pour l'encodage à quant=1): désactivé (par défaut) (recommandation JVT)
vstrict=<-1,0,1>
    conformité standard stricte. désactivé (par défaut) Seulement recommandé si vous voulez fournir la sortie au décodeur mpeg4 de référence permet l'encodage non-standard huffyuv YV12 (fichiers 20% plus petits, mais qui ne peuvent pas être relus par le codec huffyuv officiel)

vdpart
    partitionnement des données. Ajoute 2 octets par paquet vidéo, améliore la résistance aux erreurs pendant un transfert sur un canal non-fiable(c-a-d. streamer sur l'internet) Chaque paquet vidéo sera encodé dans trois partitions différentes: (mouvement) (image basse rès.) (détails)

MV & DC sont les plus importants, les perdre est bien pire que de perdre les
    partitions AC et 1. & 2. (MV&DC) sont bien plus petites que la partition 3. (AC) ce qui veut dire que les erreurs atteindrons la partition AC bien plus souvent que les partitions MV&DC. Ainsi, l'image est plus belle en partitionant que sans, car sans partitionement une erreur plantera AC/DC/MV équitablement.

vpsize=<0-10000>
    Taille des paquets vidéo, améliore la résistance aux erreurs (voir également l'option -vdpart): désactivé (par défaut) bon choix

ss    mode structuré en tranches pour H263+

gray  encodage en niveaux de gris uniquement (plus rapide) (par défaut: désactivé)

vfdct=<0-10>
    algorithme dct: en sélectionne un bon automatiquement (par défaut) entier rapide entier adapté mmx mlib altivec nombre à virgule AAN

idct=<0-99>
    algorithme idct. NOTE: À notre connaissance tous ces IDCTs réussissent les test IEEE1180. en sélectionne un bon automatiquement (par défaut) jpeg reference integer simple simplemmx libmpeg2mmx (inadapté, NE PAS UTILISER en encodant avec keyint >100) ps2 mlib arm altivec sh4

lumi_mask=<0.0-1.0>
    masquage de la luminance. Attention: Soyez prudent, de trop grandes valeurs peuvent causer des résultats désastreux. Attention2: De grandes valeurs peuvent paraître bonnes sur certains moniteurs mais peuvent être horribles sur d'autres moniteurs: désactivé (par défaut) intervalle sensé

dark_mask=<0.0-1.0>
    masquage d'obscurité. Attention: Soyez prudent, de trop grandes valeurs peuvent causer des résultats désastreux. Attention2: De grandes valeurs peuvent paraître bonnes sur certains moniteurs mais peuvent être horribles sur d'autres moniteurs / TV / TFT: désactivé (par défaut) intervalle sensé

tcplx_mask=<0.0-1.0>
    masquage de la complexité temporelle (par défaut: 0.0 (désactivé)) masquage de la complexité spatiale. De plus grandes valeurs peuvent aider contre le blocage, si aucun filtre de déblocage n'est utilisé pour l'encodage. Astuce: Coupe tous les bords noirs car ils vont réduire la qualité des blocs macro (s'applique également sans scplx_mask). désactivé (par défaut) intervalle sensé

p_mask=<0.0-1.0>
    masquage inter-MB (par défaut: 0.0 (désactivé))

naq   Normalise la quantisation adaptive (expérimental).
    En utilisant la quantisation adaptive (*_mask), le quantizer moyen par Mo peut ne pas correspondre au quantizer niveau-trame demandé. Naq essaiera de s'ajuster aux quantizers par Mo pour maintenir une moyenne correcte.

ildct utilise un dct entrelacé

ilme  utilise l'estimation de mouvement entrelacé

alt   utilise une autre table de scan

top=<-1-1>  .RSs
    automatique champ du dessous en premier champ du dessus en premier

format=<valeur>
    par défaut pour ffv1 pour huffyuv, lossless jpeg et ffv1 pour lossless jpeg et ffv1 pour lossless jpeg et ffv1

pred
    (pour huffyuv) prédiction gauche prédiction plane/gradient prédiction médiane

pred
    (pour lossless jpeg) prédiction à gauche prédiction en haut prédiction en haut à gauche prédiction plane/graduelle prédiction significative

coder
    (pour ffv1) codage vlc (golomb rice) codage arithmétique (cabac)

context
    (pour ffv1) petit modèle contextuel grand modèle contextuel

qpel  utilise la compensation 'un quart par mouvement'
    Astuce: Cela semble utile uniquement pour les encodages à haut débit.

ildctcmp=<0-2000>
    fonction de comparaison pour la décision dct entrelacé precmp=<0-2000> pré-passe pour fonction de comparaison de l'estimation de mouvement

cmp=<0-2000>
    fonction de comparaison pour estimation pel motion complète

subcmp=<0-2000>
    fonction de comparaison pour sous-estimation pel motion

mbcmp=<0-2000>
    fonction de comparaison pour la décision du macroblock, utilisé uniquement si mbd=0 somme des différences absolues, rapide (par défaut) somme des erreurs au carré somme des différences transformées des hadamard absolus somme des différences transformées des dct absolus somme des erreurs de quantisation au carré (ne pas utiliser, mauvaise qualité) nombre de bits requis pour le bloc taux de distortion optimal, lent 0 somme des différences verticales absolues somme des différences verticales absolues au carré actuellement

predia=<-99-6>
    Type et taille de diamant pour la pré-passe d'estimation de mouvement

dia=<-99-6>
    Type et taille de diamant pour l'estimation de mouvement. NOTE: Les tailles des diamants normales et celles de ceux à dimensions adaptées n'ont pas la même signification dimension adaptée de taille 3 (rapide) dimension adaptée de taille 2 (rapide) experimental diamant normal, taille=1 (par défaut) = type de diamant EPZS
          0
         000
          0
    diamant normal, taille=2
          0
         000
        00000
         000
          0

trell
    Quantisation par recherche de trellis. Ceci trouvera l'encodage optimal pour chaque bloc 8x8. La quantisation par recherche de trellis est tout simplement un quantisation optimale sur PSNR contre sens de bitrate (en supposant qu'il n'y aurait pas d'erreurs introduites par l'IDCT, ce qui n'est clairement pas le cas) il trouve simplement un bloc pour le nombre minimum d'erreurs et lambda*bits. constante dépendante de qp quantité de bits requis pour encoder le bloc somme des erreurs au carré de la quantisation

cbp   Motif de bloc codé optimal pour débit instable
    sélectionnera le motif de bloc codé qui minimise distortion + lambda*débit ceci ne peut être utilisé qu'avec la quantisation trellis

mv0   essaie d'encoder chaque MB avec MV=<0,0> et choisis le meilleur
    cela n'a pas d'effets si mbd=0

qprd  QP optimal avec flux instable pour le lambda donné de chaque macrobloc

last_pred=<0-99>
    Quantité de prédicateurs de mouvement à partir de la trame précédente (par défaut) utilisera 2a+1 x 2a+1 blocs macro au carré de prédicateurs de vecteurs de mouvement depuis la trame précédente

preme=<0-2>
    pré-passe d'estimation de mouvement désactivée uniquement après I trames (par défaut) toujours

subq=<1-8>
    Ré-affinage de la qualité subpel (pour qpel) (par défaut: 8). NOTE: Ceci a un effet significatif sur la vitesse.

psnr  Affiche le psnr (peak signal to noise ratio) pour l'ensemble de la vidéo après
    l'encodage et stocke le psnr par trame dans un fichier comme 'psnr_012345.log'. Les valeurs de retour sont en dB (décibel), le plus haut est le mieux.

Utilise les quantizers MPEG au lieu de H.263.
    (par défaut: désactivé) (c-a-d. utilisez les quantizers H.263)

aic   Intra prédication avancée (H.263+ uniquement)
    NOTE: vqmin devrait être égal à 8 ou plus pour AIC H263+.

aiv   alternatice inter vlc pour H.263+

umv VMs illimités (H.263+ uniquement) Authorise l'encodages de VMs de longueur arbitraire.

ibias=<-256-256>
    polarisation intra quantizer (256 == 1.0)
    quantizer style mpeg par défaut: 96
    quantizer style h263 par défaut: 0
    NOTE: Le quantizer h263 MMX ne peut pas gérer de polarisations positives (vfdct=1or2) Le quantizer mpeg MMX ne peut pas gérer de polarisations negatives (vfdct=1or2)

pbias=<-256-256>
    polarisation inter quantizer (256 == 1.0)
    quantizer style mpeg par défaut: 0
    quantizer style h263 par défaut: -64
    NOTE: Le quantizer h263 MMX ne peut pas gérer de polarisations positives (vfdct=1or2) Le quantizer mpeg MMX ne peut pas gérer de polarisations negatives (vfdct=1or2)
    Astuce: Une polarisation plus positive (-32- -16 au lieu de -64) semble améliorer le PSNR

nr=<0-100000>
    réduction du bruit, 0 pour désactivé

qns=<0-3>
    quantizer noise shaping, réduit les artéfacts, de plus grandes valeurs sont plus lentes mais donnent une meilleur qualité. Ceci peut et doit être utilisé avec la quantisation par treillis, dans ce cas la quantisation par treillis (optimale pour un poids constant) sera utilisée comme point de départ pour la recherche itérative. désactivé (par défaut) baisse uniquemement la valeur absolue des coefficients change uniquement les coefficients avant le coefficient non null + 1 essaie tout

inter_matrix=<matrice séparée par des virgules>
    Utilise une matrice inter personnalisée. Cela requiert une chaine de 64 entiers séparés par des virgules.

intra_matrix=<matrice séparée par des virgules>
    Utilise une matrice intra personnalisée. Cela requiert une chaine de 64 entiers séparés par des virgules.

vqmod_amp
    modulation par quantiseur expérimental

vqmod_freq
    modulation par quantiseur expérimental

  nuv (-nuvopts)
Nuppel video est basé sur rtjpeg et lzo. Par défaut les trames sont d'abord encodées avec rtjpeg ey ensuite avec lzo. Mais chacune des passes peut être activée ou pas. Donc vous pouvez en fait obtenir du i420 brut, du i420 compressé par lzo, du rtjpeg, ou le rtjpeg compressé par lzo.
NOTE: La documentation de nuvrec contiens quelques conseils et exemples sur les paramètres à utiliser avec les codages TV courants.

c=<0-20>
    seuil de chrominance

l=<0-20>
    seuil de luminance

nolzo
    Désactive la compression lzo

q=<3-255>
    Fixe le niveau de qualité

raw Désactive l'encodage rtjpeg

rtjpeg
    Active l'encodage rtjpeg.

  xvidenc (-xvidencopts)
Il y a trois modes disponibles: constant bitrate (CBR), quantizer fixe et 2passes.

pass=<1|2>
    spécifie la passe en mode 2passes

bitrate=<valeur>
    fixe le bitrate à utiliser en kbits/seconde si <16000 ou en bits/seconde si >16000 (CBR ou mode 2passes, défault=687 kbits/s)

fixed_quant=<1-31>
    passe en mode quantizer fixe et spécifie le quantizer à utiliser

me_quality=<0-6>
    spécifie la qualité de détection de mouvement (par défaut=6)

interlacing
    active le support pour contenu entrelacé (défaut=off)

4mv utilise 4 vecteurs de mouvement par macro-bloc, peut apporter une meilleure compression au coût d'un encodage plus lent (par défaut=off)

rc_reaction_delay_factor=<valeur>
    spécifie avec quelle rapidité le contrôleur de volume réagit, les valeurs les plus basses sont les plus rapides

rc_averaging_period=<valeur>
    période pour atteindre la moyenne requise

rc_buffer=<valeur>
    taille du tampon de contrôle du débit

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    quantizer min & max pour toutes les trames (défaut=2-31, mode CBR)
    quantizer min & max pour trames I/P (défaut=2-31/2-31, mode 2passes)

min_key_interval=<valeur>
    intervalle minimum entre les trames-clé (défaut=0, 2passes uniquement)

max_key_interval=<valeur>
    intervalle maximum entre les trames-clé (défaut=10*fps)

mpeg_quant
    utilise les quantizers MPEG au lieu de H.263 (défaut=off)

mod_quant
    décide d'utiliser ou non les quantizers MPEG ou H.263 sur une base trame-par-trame. (défaut=off, mode 2passes uniquement)

greyscale
    encode en noir & blanc (défaut=off)

debug
    sauve les statistiques par trames dans xvid.dbg (par défaut: off)
    ce n'est *pas* le fichier de contrôle 2passes

keyframe_boost=<0-1000>
    (défaut=0, mode 2passes uniquement)

kfthreshold=<valeur>
    (défaut=10, mode 2passes uniquement)

kfreduction=<0-100>
    (défaut=30, mode 2passes uniquement)

Les options suivantes ne sont disponibles que dans la version instable (cvs -HEAD) de XviD. Soyez conscient que ces options sont expérimentales et risquent de ne pas fonctionner comme prévu.

packed
    Crée un flux de bits pouvant être décodé sans décalage (défaut=off)
    ATTENTION: ceci génèrera un flux de bits illégal, et NE SERA PAS décodable par les décodeurs excepté divx/libavcodec/xvid
    ATTENTION: ceci ajoutera également une fausse version de divx dans le fichier donc l'autodétection de bogues risque de ne pas fonctionner

divx5bvop
    génère des trames B compatibles DivX5 (défaut=on)

qpel
    active l'estimation quarter-pixel motion (défaut=off)

gmc active la compensation de mouvement globale, peut sauver des bits sur les scenes panoramiques (défaut=off)

chroma_me
    utilise l'information chroma pour estimer le mouvement (défaut=off)

chroma_opt
    active un préfiltre d'optimisation chroma (défaut=off)

reduced
    active l'encodage de trames en résolution réduite (défaut=off)

max_bframes=<0-4>
    nombre maximum de trames B à insérer entre les trames I/P (défaut=0)

bquant_ratio=<0-1000>
    rapport de quantiseur entre les trames B et non B, 150=1.50 (défault=150)

bquant_offset=<-1000-1000>
    offset quantiseur entre les trames B et non B, 100=1.00 (défault=100)

bf_threshold=<-255-255>
    change la probabilité qu'une trame soit une trame B (défaut=0)

hq_ac
    active une meilleur prévision du composant AC (défaut=off)

vhq=<0-4>
    active une recherche ME de meilleur qualité en utilisant DCT, de plus rapide à plus lent: off (défaut) sélection du mode (inter/intra MB) recherche limitée recherche moyenne recherche large

aspect=<x/y | f (valeur à virgure)>
    Stoque l'aspect du film en interne, tout comme les fichiers MPEG. C'est une meilleur solution que le redimmensionnement, parce que la qualité n'est pas diminué. MPlayer et quelques autres lecteurs liront ces fichiers correctement, les autres l'afficheront avec le mauvais aspect. Le paramètre aspect peut être donné en ratio ou en nombre à virgule.

autoaspect
    Même chose que l'option aspect, mais calcule automatiquement l'aspect, en prenant en compte les ajustements (découpage/expension/redimensionnement/etc.) faits par la chaine de filtres.

psnr  affiche le psnr (peak signal to noise ratio, rapport du signal crête sur bruit)
    pour l'ensemble de la vidéo après encodage et stocke le psnr par trame dans un fichier portant un nom tel que 'psnr_hhmmss.log'. Les valeurs renvoyées sont en dB (décibel), le plus haut est le mieux.

FICHIERS

/etc/mplayer/mplayer.conf
    paramètres globaux

~/.mplayer/config
    paramètres utilisateur

~/.mplayer/input.conf
    correspondances des entrées (voir '-input keylist' pour la liste complète)

~/.mplayer/gui.conf
    fichier de config de la GUI

~/.mplayer/gui.pl
    liste de lecture de la GUI

~/.mplayer/font/
    Répertoire des polices (Il doit y avoir un fichier font.desc et des fichiers avec une extension .RAW)

~/.mplayer/DVDkeys/
    clés CSS cachées

Les fichiers Sub sont cherchés dans cet ordre
    (par exemple /mnt/cdrom/film.avi):
    /mnt/cdrom/film.sub
    ~/.mplayer/sub/film.sub
    ~/.mplayer/default.sub

EXEMPLES

Lecture rapide de DVD
    mplayer dvd://1

Lecture en japonais avec sous-titres anglais
    mplayer dvd://1 -alang ja -slang en

Ne lire que les chapitres 5, 6, 7
    mplayer dvd://1 -chapter 5-7

Lecture DVD multiangle
    mplayer dvd://1 -dvdangle 2

Lecture depuis un autre périphérique DVD
    mplayer dvd://1 -dvd-device /dev/dvd2

Streaming depuis HTTP
    mplayer http://mplayer.hq/exemple.avi

Streaming en utilisant RTSP
    mplayer rtsp://serveur.exemple.com/NomFlux

Convertit les sous-titres en MPsub (vers ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Convertit les sous-titres en MPsub sans afficher le film
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub source.sub -dumpmpsub

Entrée depuis V4L standard
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Lecture sur carte zoran (ancienne méthode, depréciée)
    mplayer -vo zr -vf scale=352:288 file.avi

Lecture sur carte zoran (nouvelle méthode)
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg file.avi

Encodage du titre #2 d'un DVD, uniquement les chapitres sélectionnés
    mencoder dvd://2 -chapter 10-15 -o titre2.avi -oac copy -ovc divx4

Encodage du titre #2 d'un DVD, redimensionnement en 640x480
    mencoder dvd://2 -vf scale=640:480 -o titre2.avi -oac copy -ovc divx4

Encodage du titre #2 d'un DVD, redimensionnement en 512xHHH (garder
    l'aspect ratio) mencoder dvd://2 -vf scale -zoom -xy 512 -o titre2.avi -oac copy -ovc divx4

Même chose, mais avec compression MPEG4 (Divx5) via la famille libavcodec
    mencoder dvd://2 -o titre2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Même chose, mais avec compression MJPEG via la famille libavcodec
    mencoder dvd://2 -o titre2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encodage de tous les fichiers *.jpg du répertoire courant
    mencoder "mf://*.jpg" -mf fps=25 -o output.avi -ovc divx4

Encodage depuis un tuner TV
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc rawrgb

Encodage depuis un pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -

Encodage de multiples fichiers *.vob
    cat *.vob | mencoder <options> -

BOGUES
Si vous en trouvez un, faites-nous un rapport, mais s'il vous plaît, assurez-vous d'avoir lu toute la documentation auparavant. Beaucoup de bogues sont le résultat d'une installation incorrecte ou d'une mauvaise utilisation des paramètres. La section sur les rapports de bogues (DOCS/HTML/fr/bugreports.html) explique comment créer des rapports de bogue utiles.

AUTEURS
MPlayer était écrit à l'origine par Arpad Gereoffy. Voir le fichier AUTHORS pour la liste de certains des nombreux autres contributeurs.

MPlayer est (C) 2000-2004
    The MPlayer Team

Cette page de man est écrite et maintenue par
    Gabucino
    Diego Biurrun
    Jonas Jermann

et traduite en français par
    Nicolas Le Gaillart < nicolas@legaillart.com >

Merci d'envoyer les mails la concernant sur la liste de diffusion MPlayer-DOCS.

DÉNÉGATION STANDARD
A utiliser à vos risques et périls ! Il peut y avoir des erreurs et inexactitudes qui peuvent endommager votre système ou vos yeux. Procédez avec précaution, et bien que ce ne soit souvent pas le cas, les auteurs déclinent toute responsabilités quant à l'utilisation de ce logiciel !